TauDEM Toolbox banner

TauDEM Tools

TauDEM (Terrain analysis using Digital Elevation Models) is a set of Digital Elevation Model (DEM) analysis tools developed by David Tarboton and students and colleagues in his group over the years with support from a variety of sponsors, whose support is gratefully acknowledged. These tools are targeted at extraction of information useful for hydrologic modeling and analysis from DEMs.

The TauDEM Toolbox currently provides the following capability:

  • Pit removal by flooding to ensure hydraulic connectivity within the watershed.
  • Computation of flow directions and slopes using single and multiple flow direction methods.
  • Contributing area using single and multiple flow direction methods.
  • Multiple methods for the delineation of channel networks including geomorphology-based methods sensitive to spatially variable drainage density.
  • Objective methods for determination of the channel network delineation threshold based on stream drop analysis.
  • Delineation of watersheds and subwatersheds draining to each stream segment and association between watershed and segment attributes for setting up hydrologic models.
  • Specialized functions for terrain analysis, including:
  • Slope over specific catchment area ratio which is the inverse of the wetness index.
  • Distances down to streams and up to ridges along flow directions measured horizontally, vertically, in a straight line, or following the topographic profile.
  • Upslope dependence function to map the locations upslope where activities have an effect on a downslope location.
  • Decaying accumulation that evaluates upslope contribution subject to decay or attenuation.
  • Concentration limited accumulation.
  • Transport limited accumulation.
  • Reverse accumulation.
  • Avalanche runout.
  • Average slope.

Toolsets

Basic Grid Analysis

The Basic Grid Analysis toolset contains tools that are core to most basic Digital Elevation Model (DEM) analyses, and provide inputs to many of the more advanced TauDEM tools.

Specialized Grid Analysis

The Specialized Grid Analysis toolset contains more advanced functions that can be invoked as needed.

Stream Network Analysis

The Stream Network Analysis toolset contains tools for creating and analyzing stream networks.


Data File Formats and File Naming Conventions

The TauDEM Toolbox uses 3 general types of input and output data files for it's various tools:

  • Grid Files
  • Shapefile
  • Text Files

Also TauDEM, by default, uses a file naming convention that has been developed to assist in organizing the numerous files that are often involved in terrain analysis.

Grid Files

Version 5.0 of the TauDEM Toolbox uses TIFF formatted grid files. These TIFF files must use the striped data block approach, not the tiled approach, and must use the GDAL Nodata Tag to hold the no data value. One tool that can format TIFF files in this fashion is the GDAL File Utility. Other grid formats including formats that otherwise will work with ArcGIS will not work with TauDEM 5.

For a table listing the TauDEM grid defintions and naming conventions table click here.

Shapefiles

Shapefiles are an open ESRI data format that stores vector data as described in a white paper. Shapefiles are used for the following purposes in TauDEM:

  • Outlets Shapefile - A point shapefile giving the location of outlets or internal monitoring points. The attribute "id" may be used to specify an identifier (e.g. stream flow recorder number) associated with these monitoring points. The value -1 is reserved to indicate "no identifier". There is no default filename for outlet shapefiles.
  • Stream Reach Shapefile - A polyline shapefile giving the links in a stream network. This is created by the "Stream Shapefile and Watershed Grid" function and has attributes tabulated below. The default filename for this shapefile is "*net.shp", where * is the base DEM name.
  • Watershed Shapefile - A polygon shapefile demarcating each reach watershed. This is created by the function "Watershed grid to shapefile". The only attribute of this shapefile is polygon_id, identifier. This corresponds with the WSNO watershed number in the *net.shp file. The default filename for this shapefile is "*w.shp", where * is the base DEM name.

Stream Reach Shapefile Attributes

Attributes | Description
LINKNO | Link Number. A unique number associated with each link (segmentof channel between junctions). This is an arbitrary number that varies depending on the number of processes used.
DSLINKNO | Link Number of the downstream link. -1 indicates that this does not exist.
USLINKNO1 | Link Number of first upstream link . -1 indicates no links upstream.
USLINKNO2 | Link Number of second upstream link. -1 indicates no links upstream.
DSNODEID | Node identifier for node at downstream end of stream reach. This identifier corresponds to the "id" attribute from the Outlets shapefile used to designate nodes.
Order | Strahler Stream Order
Length | Length of the link
Magnitude | Shreve Magnitude of the link. This is the total number of sources upstream
DS_Cont_Ar | Drainage area at the downstream end of the link. Generally this is one grid cell upstream of the downstream end because the drainage area at the downstream end grid cell includes the area of the stream being joined.
Drop | Drop in elevation from the start to the end of the link
Slope | Average slope of the link (computed as drop/length)
Straight_L | Straight line distance from the start to the end of the link
US_Cont_Ar | Drainage area at the upstream end of the link
WSNO | Watershed number. Cross reference to the *w.shp and *w grid files giving the identification number of the watershed draining directly to the link.
DOUT_END | Distance to the outlet from the downstream end of the link
DOUT_START | Distance to the outlet from the upstream end of the link
DOUT_MID | Distance to the outlet from the midpoint of the link

Text Files

Text files are used to store the Stream Network Tree and Stream Network Coordinate files, giving network topological connectivity and coordinates and attributes associated with points on the stream network.

Stream Network Tree File

This file defines the topological linkage of the stream network. The default filename is "*tree.dat", where * is the base DEM name. The Stream Network Tree File is created by the function "Stream order grid and network files". Columns are as follows:

# | Description
1 | Link Number. A unique number associated with each link (segmentof channel between junctions). This is an arbitrary number that varies depending on the number of processes used.
2 | Start Point Number in Network Coordinates (*coord.dat) file (Indexed from 0)
3 | End Point Number in Network Coordinates (*coord.dat) file (Indexed from 0)
4 | Next (Downstream) Link Number. Points to Link Number. -1 indicates no links downstream, i.e. a terminal link.
5 | First Previous (Upstream) Link Number. Points to Link Number. -1 indicates no upstream links.
6 | Second Previous (Upstream) Link Numbers. Points to Link Number. -1 indicates no upstream links. Where only one previous link is -1, it indicates an internal monitoring point where the reach is logically split, but the network does not bifurcate.
7 | Strahler Order of Link
8 | Monitoring point identifier at downstream end of link. -1 indicates downstream end is not a monitoring point.
9 | Network magnitude of the link, calculated as the number of upstream sources (following Shreve).

Stream Network Coordinate File

This file defines the coordinates and attributes of points along the stream network. The default filename is "*coord.dat", where * is the base DEM name. The Stream Network Coordinate File is created by the function "Stream Reach and Watershed". Columns are as follows:

# | Description
1 | X coordinate
2 | Y coordinate
3 | Distance along channels to the downstream end of a terminal link
4 | Elevation
5 | Contributing area


Grid Defintions and Naming Conventions

To manage the variety of data, especially grid data, used by TauDEM, a naming convention relying on suffixes appended to the body of file names has been developed to identify the contents of the files used. This convention is not required, but makes things a lot easier and is used to set up default file names. Each type of file is associated with a suffix that is appended to the main part of the file name, before the extension used by the computer system. If the Base Elevation grid name is "nnnn[.tif]" then the remaining file names will be "nnnnsss[.tif/shp/txt]" where sss is the suffix. The table below gives DEM grids used by TauDEM with these suffixes.

Table of TauDEM grid types

Suffix | Description
ad8 | D8 contributing area grid (area measured as number of grid cells)
ang | D-infinity flow direction grid (flow direction grid measured in radians, counter clockwise from east)
ass | Avalanche source site grid, a required input for D-infinity avalanche runout
cs | Concentration in supply grid, a grid giving the concentration of a compound of interest in the supply to the transport limited accumulation function
ctpt | Concentration grid, a grid giving the concentration of a compound of interest
dd | D-infinity distance to stream which can be average, minimum or maximum of horizontal, vertical, surface or Pythagoras distances to the stream.
dep | Upslope dependence grid, a grid giving at each grid cell the fraction of flow that contributes to any part of the target disturbance grid
dfs | Distance from source grid
dg | Disturbance indicator grid, an indicator grid that marks the target domain for various functions
di | Downslope influence grid that quantifies the influence of grid cells in the indicator grid on contributing area at each grid cell
dist | D8 distance to stream grid
dm | Decay multiplier grid, a grid giving the factor by which flow leaving each grid cell is multiplied before accumulation on downslope grid cells. This may be used to simulate the movement of an attenuating substance.
dmax | Maximum downslope grid, a grid giving the maximum of the weight loading grid downslope from each grid cell
dsca | Decayed specific catchment area grid (specific catchment area calculated by accumulating area but using the decay multipliers)
du | D-infinity distance to ridge which can be average, minimum or maximum of horizontal, vertical, surface or Pythagoras distances to the ridge.
fel | Hydrologically correct elevation grid with pits removed either by filling or carving
gord | Stahler network order grid (Strahler order for grid network defined from D8 flow directions)
ord | Network order grid, a grid giving the Strahler stream order for each delineated stream grid cell
p | D8 flow direction grid obtained either from the D8 flow direction or carving functions
plen | Longest upslope length grid, a grid that gives the length of the longest upslope flow path terminating at each grid cell
q | Specific discharge of the flow carrying the constituent being loaded at the concentration threshold specified
racc | Reverse accumulation grid, a grid giving the result of the "Reverse Accumulation" function
rz | Runout zone grid, a runout zone indicator grid with value 0 to indicate that this grid cell is not in the runout zone and value > 0 to indicate that this grid cell is in the runout zone.
sa | Slope-Area function output grid containing slope and area combined using SmAn
sar | Slope/Area ratio grid used to evaluate wetness index
sca | D-infinity contributing area grid (units in specific catchment area, i.e. area per unit contour width, using grid cell as the unit width and grid cell size squared as grid cell area)
sd8 | D8 slope grid (slope measured as drop/distance)
slp | D-infinity slope grid
slpd | D8 averaged slope distance grid, a grid of slope averaged over downslope distance
src | Computed stream raster grid, a grid indicating streams, grid cell value 1 on streams and 0 off streams
ss | A stream source grid derived through application of a function to identify potential stream sources to a set of inputs. Values should be 0 on non potential stream sources and >0, with a value that has relevance to the method being used for potential stream sources.
ssa | An accumulated stream source grid derived from a ss grid and is suitable for drop analysis. This needs to have the property that it is monotonically increasing downslope along D8 flow directions. This may be from an accumulation or maximum upslope function.
tc | Transport capacity grid, a grid giving the transport capacity at each grid cell for the transport limited accumulation function
tdep | Deposition grid, a grid giving the deposition resulting from the transport limited accumulation
tla | Transport limited accumulation grid
tlen | Total upslope length grid, a grid that gives the total length of upslope flow paths terminating at each grid cell
tsup | Transport supply grid, a grid giving the supply (loading) of material to a transport limited accumulation function
w | Watershed grid demarcating each reach watershed mapped using netsetup function
wg | Flag used to show weight grid, with the name of the weight grid as argument.


Basic Grid Analysis Toolset

The Basic Grid Analysis toolset consists of functions that are core to most basic Digital Elevation Model (DEM) analyses, and provide inputs to many of the more advanced TauDEM tools. The following table lists the tools in the Basic Grid Analysis toolset followed by a brief description of each.

Tool | Description
Pit Remove | Identifies all pits in the DEM and raises their elevation to the level of the lowest pour point around their edge. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts that interfere with the routing of flow across DEMs, so are removed by raising their elevation to the point where they drain off the edge of the domain. The pour point is the lowest point on the boundary of the "watershed" draining to the pit. Filling pits is not essential if you have reason to believe that the pits in your DEM are real.
D8 Flow Directions | Calculates 2 grids. The first contains the D8 Flow directions which are defined, for each cell, as the direction of one of its eight adjacent or diagonal neighbors with the steepest downward slope. This is encoded as: 1 - East, 2 - North East, 3 - North, 4 - North West , 5 - West, 6 - South West, 7 - South, 8 - South East. The second contains the slope, as evaluated in the direction of steepest descent and is reported as drop/distance, i.e. tan of the angle. Flow direction is reported as "no data" for any grid cell adjacent to the edge of the DEM domain, or adjacent to a no data value in the DEM. In flat areas flow directions are assigned away from higher ground and towards lower ground using the method of Garbrecht and Martz (1997). The D8 flow direction algorithm may be applied to a DEM that has not had pits removed, but will then result in "no data" values for flow direction and slope associated with the lowest point of the pit.
D-Infinity Flow Directions | Assigns a flow direction based on the steepest slope of a triangular facet (Tarboton, 1997). Flow direction is defined as steepest downward slope on planar triangular facets on a block centered grid. Flow direction is encoded as an angle in radians counter-clockwise from east as a continuous (floating point) quantity between 0 and 2 pi. The flow direction angle is determined as the direction of the steepest downward slope on the eight triangular facets formed in a 3 x 3 grid cell window centered on the grid cell of interest. Tool also produces a slope grid using the D-infinity method.
D8 Contributing Area | Calculates a grid of contributing areas using the single direction D8 flow model. The contribution of each grid cell is taken as one (or when the optional weight grid is used, the value from the weight grid). The contributing area for each grid cell is taken as its own contribution plus the contribution from upslope neighbors that drain in to it according to the D8 flow model. If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D8 flow model) of them are in the domain to be evaluated. By default, the tool checks for edge contamination. This is defined as the possibility that a contributing area value may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this and reports "no data" for the contributing area. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that contributing area for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be turned off in cases where you know this is not an issue or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline.
D-Infinity Contributing Area | Calculates a grid of contributing area using the multiple flow direction D-infinity approach. D-infinity flow direction is defined as steepest downward slope on planar triangular facets on a block centered grid. The contribution at each grid cell is taken initially as the grid cell length (or when the optional weight grid is used, from the weight grid). The contributing area of each grid cell is then taken as its own contribution plus the contribution from upslope neighbors that have some fraction draining to it according to the D-infinity flow model. The flow from each cell either all drains to one neighbor, if the angle falls along a cardinal (0, pi/2, pi, 3pi/2) or ordinal (pi/4, 3pi/4, 5pi/4, 7pi/4) direction, or is on an angle falling between the direct angle to two adjacent neighbors. In the latter case the flow is proportioned between these two neighbor cells according to how close the flow direction angle is to the direct angle to those cells. When the optional weight grid is not used, the result is reported in terms of specific catchment area, the upslope area per unit contour length, taken here as the number of cells times grid cell length (cell area divided by cell length). This assumes that grid cell length is the effective contour length, in the definition of specific catchment area and does not distinguish any difference in contour length dependent upon the flow direction. When the optional weight grid is used, the result is reported directly as a summation of weights, without any scaling. Using the optional outlet shapefile results in only the area contributing to flow at the outlet points in the shapefile being accumulated. By default, the tool checks for edge contamination. This is defined as the possibility that a contributing area value may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with "no data" values for elevation. The algorithm recognizes this and reports "no data" for the contributing area. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that contributing area for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be turned off in cases where you know it is not an issue or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline.
Grid Network | Creates 3 grids that contain for each grid cell: 1) the longest upslope path length, 2) the total upslope path length, and 3) the Strahler order number. These values are derived from the network defined by the D8 flow model. The longest upslope path length is the length of the flow path from the furthest cell that drains to each cell. The total upslope path length is the length of the entire grid network upslope of each grid cell. Lengths are measured between cell centers taking into account cell size and whether the direction is adjacent or diagonal. Strahler order is defined as follows: A network of flow paths is defined by the D8 Flow Direction grid. Source flow paths have a Strahler order number of one. When two flow paths of different order join the order of the downstream flow path is the order of the highest incoming flow path. When two flow paths of equal order join the downstream flow path order is increased by 1. When more than two flow paths join the downstream flow path order is calculated as the maximum of the highest incoming flow path order or the second highest incoming flow path order + 1. This generalizes the common definition to cases where more than two flow paths join at a point. Where the optional mask grid and threshold value are input, the function is evaluated only considering grid cells that lie in the domain with mask grid value greater than or equal to the threshold value. Source (first order) grid cells are taken as those that do not have any other grid cells from inside the domain draining in to them, and only when two of these flow paths join is order propagated according to the ordering rules. Lengths are also only evaluated counting paths within the domain greater than or equal to the threshold. If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D8 flow model) of them are in the domain to be evaluated.


D-Infinity Contributing Area

Title D-Infinity Contributing Area

Summary

Calculates a grid of specific catchment area which is the contributing area per unit contour length using the multiple flow direction D-infinity approach. D-infinity flow direction is defined as steepest downward slope on planar triangular facets on a block centered grid. The contribution at each grid cell is taken as the grid cell length (or when the optional weight grid input is used, from the weight grid). The contributing area of each grid cell is then taken as its own contribution plus the contribution from upslope neighbors that have some fraction draining to it according to the D-infinity flow model. The flow from each cell either all drains to one neighbor, if the angle falls along a cardinal (0, pi/2, pi, 3pi/2) or ordinal (pi/4, 3pi/4, 5pi/4, 7pi/4) direction, or is on an angle falling between the direct angle to two adjacent neighbors. In the latter case the flow is proportioned between these two neighbor cells according to how close the flow direction angle is to the direct angle to those cells. The contour length used here is the grid cell size. The resulting units of the specific catchment area are length units the same as those of the grid cell size.

D-Infinity Flow Direction Encoding

When the optional weight grid is not used, the result is reported in terms of specific catchment area, the upslope area per unit contour length, taken here as the number of cells times grid cell length (cell area divided by cell length). This assumes that grid cell length is the effective contour length, in the definition of specific catchment area and does not distinguish any difference in contour length dependent upon the flow direction. When the optional weight grid is used, the result is reported directly as a summation of weights, without any scaling.

If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D-infinity flow model) of them are in the domain to be evaluated.

By default, the tool checks for edge contamination. This is defined as the possibility that a contributing area value may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with "no data" values for elevation. The algorithm recognizes this and reports "no data" for the contributing area. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that contributing area for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be turned off in cases where you know it is not an issue or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline.

Syntax

AreaDinf (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Input_Weight_Grid__must_be__tif_, Check_for_Edge_Contamination, Input_Number_of_Processes, Output_D-Infinity_Specific_Catchment_Area_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid of flow directions based on the D-infinity flow method using the steepest slope of a triangular facet (Tarboton, 1997, "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319). Flow direction is determined as the direction of the steepest downward slope on the 8 triangular facets of a 3 x 3 block centered grid. Flow direction is encoded as an angle in radians, counter-clockwise from east as a continuous (floating point) quantity between 0 and 2 pi. The resulting flow in a grid is then usually interpreted as being proportioned between the two neighboring cells that define the triangular facet with the steepest downward slope. D-Infinity Flow Direction Encoding | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference A point shapefile defining the outlets of interest. If this input file is used, only the cells upslope of these outlet cells are considered to be within the domain being evaluated. | Feature Layer (Must be SHP File)
Input_Weight_Grid__must_be__tif_ (Optional) | Dialog Reference A grid giving contribution to flow for each cell. These contributions (also sometimes referred to as weights or loadings) are used in the contributing area accumulation. If this input file is not used, the result is reported in terms of specific catchment area (the upslope area per unit contour length) taken as the number of cells times grid cell length (cell area divided by cell length). | Raster Layer (Must be TIFF File)
Check_for_Edge_Contamination | Dialog Reference A flag that indicates whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a contributing area value may be underestimated due to the fact that grid cells outside of the domain have not been evaluated. This occurs when drainage is inwards from the boundaries or areas with "no data" values for elevation. The algorithm recognizes this and reports "no data" for the impated cells. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that contributing area for these grid cells is unknown due to it being dependent on terrain outside of the domain of available data. Edge contamination checking may be turned off in cases where you know this is not an issue, or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_D-Infinity_Specific_Catchment_Area_Grid__must_be__tif_ | Dialog Reference A grid of specific catchment area which is the contributing area per unit contour length using the multiple flow direction D-infinity approach. The contributing area of each grid cell is then taken as its own contribution plus the contribution from upslope neighbors that have some fraction draining to it according to the D-infinity flow model. | Raster Dataset


D-Infinity Flow Directions

Title D-Infinity Flow Directions

Summary

Assigns a flow direction based on the D-infinity flow method using the steepest slope of a triangular facet (Tarboton, 1997, "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319). Flow direction is defined as steepest downward slope on planar triangular facets on a block centered grid. Flow direction is encoded as an angle in radians counter-clockwise from east as a continuous (floating point) quantity between 0 and 2 pi. The flow direction angle is determined as the direction of the steepest downward slope on the eight triangular facets formed in a 3 x 3 grid cell window centered on the grid cell of interest. The resulting flow in a grid is then usually interpreted as being proportioned between the two neighboring cells that define the triangular facet with the steepest downward slope.

D-Infinity Flow Direction Encoding

A block-centered representation is used with each elevation value taken to represent the elevation of the center of the corresponding grid cell. Eight planar triangular facets are formed between each grid cell and its eight neighbors. Each of these has a downslope vector which when drawn outwards from the center may be at an angle that lies within or outside the 45 degree (pi/4 radian) angle range of the facet at the center point. If the slope vector angle is within the facet angle, it represents the steepest flow direction on that facet. If the slope vector angle is outside a facet, the steepest flow direction associated with that facet is taken along the steepest edge. The slope and flow direction associated with the grid cell is taken as the magnitude and direction of the steepest downslope vector from all eight facets. Slope is measured as drop/distance, i.e. tan of the slope angle.

In the case where no slope vectors are positive (downslope), the flow direction is set using the method of Garbrecht and Martz (1997) for the determination of flow across flat areas. This makes flat areas drain away from high ground and towards low ground. The flow path grid to enforce drainage along existing streams is an optional input, and if used, takes precedence over elevations for the setting of flow directions.

The D-infinity flow direction algorithm may be applied to a DEM that has not had its pits filled, but it will then result in "no data" values for the D-infinity flow direction and slope associated with the lowest point of the pit.

Syntax

DinfFlowDir (Input_Pit_FIlled_Elevation_Grid__must_be__tif_, Input_Number_of_Processes, Output_D-Infinity_Flow_Direction_Grid__must_be__tif_, Output_D-Infinity_Slope_Grid__must_be__tif_)

Parameter Explanation Data Type
Input_Pit_FIlled_Elevation_Grid__must_be__tif_ Dialog Reference

A grid of elevation values. This is usually the output of the "Pit Remove" tool, in which case it is elevations with pits removed. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts of the digitation process that interfere with the processing of flow across DEMs. So they are removed by raising their elevation to the point where they just drain off the domain. This step is not essential if you have reason to believe that the pits in your DEM are real and can be circumvented using the raw DEM as input here. Also, if a few pits actually exist and so should not be removed, while at the same time others are believed to be artifacts that need to be removed, the actual pits should have "no data" elevation values inserted at their lowest point. "No data" values serve to define edges of the domain in the flow field, and elevations are only raised to where flow is off an edge, so an internal "no data" value will stop a pit from being removed, if necessary.

 Raster Layer (Must be TIFF File)
Input_Number_of_Processes Dialog Reference

The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes.

 Long
Output_D-Infinity_Flow_Direction_Grid__must_be__tif_ Dialog Reference

A grid of flow directions based on the D-infinity flow method using the steepest slope of a triangular facet (Tarboton, 1997, "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319). Flow direction is determined as the direction of the steepest downward slope on the 8 triangular facets of a 3 x 3 block centered grid. Flow direction is encoded as an angle in radians, counter-clockwise from east as a continuous (floating point) quantity between 0 and 2 pi. The resulting flow in a grid is then usually interpreted as being proportioned between the two neighboring cells that define the triangular facet with the steepest downward slope.

D-Infinity Flow Direction Encoding

Raster Dataset
Output_D-Infinity_Slope_Grid__must_be__tif_ Dialog Reference

A grid of slope evaluated using the D-infinity method described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319. This is the steepest outwards slope on one of eight triangular facets centered at each grid cell, measured as drop/distance, i.e. tan of the slope angle.

 Raster Dataset


D8 Contributing Area

Title D8 Contributing Area

Summary

Calculates a grid of contributing areas using the single direction D8 flow model. The contribution of each grid cell is taken as one (or when the optional weight grid is used, the value from the weight grid). The contributing area for each grid cell is taken as its own contribution plus the contribution from upslope neighbors that drain in to it according to the D8 flow model.

If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D8 flow model) of them are in the domain to be evaluated.

By default, the tool checks for edge contamination. This is defined as the possibility that a contributing area value may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this and reports "no data" for the contributing area. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that contributing area for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be turned off in cases where you know this is not an issue or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline.

Syntax

D8ContributingArea (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Input_Weight_Grid__must_be__tif_, Check_for_edge_contamination, Input_Number_of_Processes, Output_D8_Contributing_Area_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid of D8 flow directions which are defined, for each cell, as the direction of the one of its eight adjacent or diagonal neighbors with the steepest downward slope. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference A point shapefile defining the outlets of interest. If this input file is used, only the cells upslope of these outlet cells are considered to be within the domain being evaluated. | Feature Layer (Must be SHP File)
Input_Weight_Grid__must_be__tif_ (Optional) | Dialog Reference A grid giving contribution to flow for each cell. These contributions (also sometimes referred to as weights or loadings) are used in the contributing area accumulation. If this input file is not used, the contribution to flow will assumed to be one for each grid cell. A grid giving contribution to flow for each cell. These contributions (also sometimes referred to as weights or loadings) are used in the contributing area accumulation. If this input file is not used, the contribution to flow will assumed to be one for each grid cell. | Raster Layer (Must be TIFF File)
Check_for_edge_contamination | Dialog Reference A flag that indicates whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a contributing area value may be underestimated due to the fact that grid cells outside of the domain have not been evaluated. This occurs when drainage is inwards from the boundaries or areas with "no data" values for elevation. The algorithm recognizes this and reports "no data" for the impated cells. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that contributing area for these grid cells is unknown due to it being dependent on terrain outside of the domain of available data. Edge contamination checking may be turned off in cases where you know this is not an issue, or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_D8_Contributing_Area_Grid__must_be__tif_ | Dialog Reference A grid of contributing area values calculated as the cells own contribution plus the contribution from upslope neighbors that drain in to it according to the D8 flow model. | Raster Dataset


D8 Flow Directions

Title D8 Flow Directions

Summary

Creates 2 grids. The first contains the flow direction from each grid cell to one of its adjacent or diagonal neighbors, calculated using the direction of steepest descent. The second contain the slope, as evaluated in the direction of steepest descent, and is reported as drop/distance, i.e. tan of the angle. Flow direction is reported as "no data" for any grid cell adjacent to the edge of the DEM domain, or adjacent to a "no data" value in the DEM. In flat areas, flow directions are assigned away from higher ground and towards lower ground using the method of Garbrecht and Martz (1997). The D8 flow direction algorithm may be applied to a DEM that has not had its pits filled, but it will then result in "no data" values for flow direction and slope at the lowest point of each pit.

D8 Flow Direction Encoding

D8 Flow Direction Coding: 1 - East, 2 - Northeast, 3 - North, 4 - Northwest , 5 - West, 6 - Southwest, 7 - South, 8 - Southeast.

Syntax

D8FlowDir (Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_Number_of_Processes, Output_D8_Flow_Direction_Grid__must_be__tif_, Output_D8_Slope_Grid__must_be__tif_)

Parameter Explanation Data Type
Input_Pit_Filled_Elevation_Grid__must_be__tif_ Dialog Reference

A grid of elevation values. This is usually the output of the "Pit Remove" tool, in which case it is elevations with pits removed. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts of the digitation process that interfere with the processing of flow across DEMs. So they are removed by raising their elevation to the point where they just drain off the domain. This step is not essential if you have reason to believe that the pits in your DEM are real. This step can be circumvented by copying the raw DEM source data onto the file with suffix "fel" to simulate the output of "Pit Remove" without actually removing the pits. Also, if a few pits actually exist and so should not be removed, while at the same time others are believed to be artifacts that need to be removed, the actual pits should have "no data" elevation values inserted at their lowest point. "No data" values serve to define edges of the domain in the flow field, and elevations are only raised to where flow is off an edge, so an internal "no data" value will stop a pit from being removed, if necessary.

 Raster Layer (Must be TIFF File)
Input_Number_of_Processes Dialog Reference

The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes.

 Long
Output_D8_Flow_Direction_Grid__must_be__tif_ Dialog Reference

A grid of D8 flow directions which are defined, for each cell, as the direction of the one of its eight adjacent or diagonal neighbors with the steepest downward slope.

D8 Flow Direction Encoding

Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast.

The flow direction routing across flat areas is performed according to the method described by Garbrecht, J. and L. W. Martz, (1997), "The Assignment of Drainage Direction Over Flat Surfaces in Raster Digital Elevation Models," Journal of Hydrology, 193: 204-213.

 Raster Dataset
Output_D8_Slope_Grid__must_be__tif_ Dialog Reference

A grid giving slope in the D8 flow direction. This is measured as drop/distance.

 Raster Dataset


Grid Network

Title Grid Network

Summary

Creates 3 grids that contain for each grid cell: 1) the longest path, 2) the total path, and 3) the Strahler order number. These values are derived from the network defined by the D8 flow model.

The longest upslope length is the length of the flow path from the furthest cell that drains to each cell. The total upslope path length is the length of the entire grid network upslope of each grid cell. Lengths are measured between cell centers taking into account cell size and whether the direction is adjacent or diagonal.

Strahler order is defined as follows: A network of flow paths is defined by the D8 Flow Direction grid. Source flow paths have a Strahler order number of one. When two flow paths of different order join the order of the downstream flow path is the order of the highest incoming flow path. When two flow paths of equal order join the downstream flow path order is increased by 1. When more than two flow paths join the downstream flow path order is calculated as the maximum of the highest incoming flow path order or the second highest incoming flow path order + 1. This generalizes the common definition to cases where more than two flow paths join at a point.

Where the optional mask grid and threshold value are input, the function is evaluated only considering grid cells that lie in the domain with mask grid value greater than or equal to the threshold value. Source (first order) grid cells are taken as those that do not have any other grid cells from inside the domain draining in to them, and only when two of these flow paths join is order propagated according to the ordering rules. Lengths are also only evaluated counting paths within the domain greater than or equal to the threshold.

If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D8 flow model) of them are in the domain to be evaluated.

Syntax

GridNetwork (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_Number_of_Processes, Input_Outlets_Shapefile__must_be__shp_, Input_Mask_Grid__must_be__tif_, Input_Mask_Threshold_Value, Output_Strahler_Network_Order_Grid__must_be__tif_, Output_Longest_Upslope_Length_Grid__must_be__tif_, Output_Total_Upslope_Length_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid of D8 flow directions which are defined, for each cell, as the direction of the one of its eight adjacent or diagonal neighbors with the steepest downward slope. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference A point shapefile defining the outlets of interest. If this input file is used, only the cells upslope of these outlet cells are considered to be within the domain being evaluated. | Feature Layer (Must be SHP File)
Input_Mask_Grid__must_be__tif_ (Optional) | Dialog Reference A grid that is used to determine the domain do be analyzed. If the mask grid value >= mask threshold, then the cell will be included in the domain. While this tool does not have an edge contamination flag, if edge contamination analysis is needed, then a mask grid from a function like AreaD8 that does support edge contamination can be used to achieve the same result. | Raster Layer (Must be TIFF File)
Input_Mask_Threshold_Value (Optional) | Dialog Reference This input parameter is used in the calculation mask grid value >= mask threshold to determine if the grid cell is in the domain to be analyzed. | Double
Output_Strahler_Network_Order_Grid__must_be__tif_ | Dialog Reference A grid giving the Strahler order number for each cell. A network of flow paths is defined by the D8 Flow Direction grid. Source flow paths have a Strahler order number of one. When two flow paths of different order join the order of the downstream flow path is the order of the highest incoming flow path. When two flow paths of equal order join the downstream flow path order is increased by 1. When more than two flow paths join the downstream flow path order is calculated as the maximum of the highest incoming flow path order or the second highest incoming flow path order + 1. This generalizes the common definition to cases where more than two flow paths join at a point. | Raster Dataset
Output_Longest_Upslope_Length_Grid__must_be__tif_ | Dialog Reference A grid that gives the length of the longest upslope D8 flow path terminating at each grid cell. Lengths are measured between cell centers taking into account cell size and whether the direction is adjacent or diagonal. | Raster Dataset
Output_Total_Upslope_Length_Grid__must_be__tif_ | Dialog Reference The total upslope path length is the length of the entire D8 flow grid network upslope of each grid cell. Lengths are measured between cell centers taking into account cell size and whether the direction is adjacent or diagonal. | Raster Dataset


Pit Remove

Title Pit Remove

Summary

Identifies all pits in the DEM and raises their elevation to the level of the lowest pour point around their edge. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts that interfere with the routing of flow across DEMs, so are removed by raising their elevation to the point where they drain off the edge of the domain. The pour point is the lowest point on the boundary of the "watershed" draining to the pit. This step is not essential if you have reason to believe that the pits in your DEM are real. This step can be circumvented by copying the raw DEM source data onto the file with suffix "fel" to simulate the output of "Pit Remove" without actually removing the pits. Also, if a few pits actually exist and so should not be removed, while at the same time others are believed to be artifacts that need to be removed, the actual pits should have "no data" elevation values inserted at their lowest point. "No data" values serve to define edges in the domain, and elevations are only raised to where flow is off an edge, so an internal "no data" value will stop a pit from being removed, if necessary.

Syntax

PitRemove (Input_Elevation_Grid__must_be__tif_, Input_Number_of_Processes, Output_Pit_Removed_Elevation_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Elevation_Grid__must_be__tif_ | Dialog Reference A digital elevation model (DEM) grid to serve as the base input for the terrain analysis and stream delineation. Pits are generally assumed to be artifacts of the digitation process that interfere with the processing of flow across DEMs, and so are removed by raising their elevation to the point where they just drain. However, if a few actual pits are known, but others need to be removed, the actual pits should have "no data" elevation values inserted at their lowest point. "No data" values serve to define edges in the flow field, and elevations are only raised to where flow is off an edge, so an internal "no data" value will stop a pit from being removed, if necessary. | Raster Layer (Must be TIFF File)
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Pit_Removed_Elevation_Grid__must_be__tif_ | Dialog Reference A grid of elevation values with pits removed so that flow is routed off of the domain. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts of the digitation process that interfere with the processing of flow across DEMs. So, they are removed by raising their elevation to the point where they just drain. | Raster Dataset


Stream Network Analysis Toolset

The Stream Network Analysis toolset contains tools for creating and analyzing stream networks. The following table lists the tools in the toolset followed by a brief description of each.

Tool | Description
Peuker Douglas | Creates an indicator grid (1,0) of valley form grid cells according to the Peuker and Douglas algorithm. With this tool, the DEM is first smoothed by a kernel with weights at the center, sides, and diagonals. The Peuker and Douglas (1975) method (also explained in Band, 1986), is then used to identify valley form grid cells. This technique flags the entire grid, then examines in a single pass each quadrant of 4 grid cells, and unflags the highest. The remaining flagged cells are deemed 'valley cells', and when viewed, resemble a channel network. This proto-channel network generally lacks connectivity and requires thinning, issues that were discussed in detail by Band (1986).
D8 Extreme Upslope Value | Evaluates the extreme (either maximum or minimum) upslope value from an input grid based on the D8 flow model. This is intended initially for use in stream raster generation to identify a threshold of the slope times area product that results in an optimum (according to drop analysis) stream network. If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D8 flow model) of them are in the domain to be evaluated. By default, the tool checks for edge contamination. Edge contamination is defined as the possibility that a result may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this and reports "no data" for the result for these grid cells. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that the result for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be turned off in cases where you know this is not an issue or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline.
Slope Area Combination | Creates a grid of slope-area values = (S^m)(A^n) based on slope and specific catchment area grid inputs, and parameters m and n. This tool is intended for use as part of the slope-area stream raster delineation method.
Leangth Area Stream Source | Creates an indicator grid (1,0) that evaluates A >= (M)(L^y) based on upslope path length, D8 contributing area grid inputs, and parameters M and y. This grid indicates likely stream source grid cells. This is an experimental method with theoretical basis in Hack's law which states that for streams L ~ A^0.6. However for hillslopes with parallel flow L ~ A. So a transition from hillslopes to streams may be represented by L ~ A^0.8 suggesting identifying grid cells as stream cells if A > M (L^(1/0.8)).
Stream Drop Analysis | Applies a series of thresholds (determined from the input parameters) to the input accumulated stream source grid (*ssa) grid and outputs the results in the *drp.txt file the stream drop statistics table. This function is designed to aid in the determination of a geomorphologically objective threshold to be used to delineate streams. Drop Analysis attempts to select the right threshold automatically by evaluating a stream network for a range of thresholds and examining the constant drop property of the resulting Strahler streams. Basically it asks the question: Is the mean stream drop for first order streams statistically different from the mean stream drop for higher order streams, using a T-Test. Stream drop is the difference in elevation from the beginning to the end of a stream defined as the sequence of links of the same stream order. If the T test shows a significant difference then the stream network does not obey this "law" so a larger threshold needs to be chosen. The smallest threshold for which the T test does not show a significant difference gives the highest resolution stream network that obeys the constant stream drop "law" from geomorphology, and is the threshold chosen for the "objective" or automatic mapping of streams from the DEM. This function can be used in the development of stream network rasters, where the exact watershed characteristic(s) that were accumulated in the accumulated stream source grid vary based on the method being used to determine the stream network raster.
Stream Definition by Threshold | Operates on any grid and outputs an indicator (1,0) grid identifing cells with input values >= the threshold value. The standard use is to use an accumulated source area grid to as the input grid to generate a stream raster grid as the output. If you use the optional input mask grid, it limits the domain being evaluated to cells with mask values >= 0 . When you use a D-infinity contributing area grid (*sca) as the mask grid, it functions as an edge contamination mask. The threshold logic is: src = ((ssa >= thresh) & (mask >=0)) ? 1:0 .
Stream Definition with Drop Anlysis | This tool combines the function of the "Stream Drop Analysis" tool and the "Stream Definition by Threshold" tool. It applies a series of thresholds (determined from the input parameters) to the input accumulated stream source grid (*ssa) grid and outputs the results in the stream drop statistics table (*drp.txt). Then it outputs a stream raster grid, which is an indicator (1,0) grid of stream cells. Stream cells are defined as those cells where the accumulated stream source value is >= the optimal threshold as determined from the stream drop statistics. There is an option to include a mask input to replicate the functionality for using the *sca file as an edge contamination mask. The threshold logic should be: src = ((ssa >= thresh) &amp; (mask >=0)) ? 1:0 .
Peuker Douglas Stream Definition | This tool combines the functionality of the "Peuker Douglas," "D8 Contributing Area," "Stream Drop Analysis," and "Stream Definition by Threshold" tools in order to generate a stream indicator grid (1,0) where the streams are located using a method based on geomorphology. With this method, the DEM is first smoothed by a kernel with weights at the center, sides, and diagonals. The Peuker and Douglas (1975) method (also explained in Band, 1986), is then used to identify valley form grid cells. This technique flags the entire grid, then examines in a single pass each quadrant of 4 grid cells, and unflags the highest. The remaining flagged cells are deemed 'valley cells', and when viewed, resemble a channel network. This proto-channel network sometimes lacks connectivity, and/or requires thinning, issues that were discussed in detail by Band (1986). The thinning and connecting of these grid cells is achieved here by computing the D8 contributing area using only these valley cells. An accumulation threshold on the number of these cells is then used to map the channel network where this threshold is optionally set by the user, or determined via drop analysis.
Slope Area Stream Definition | This tool combines the function of the following tools: "Slope Area Combination," "D8 Extreme Upslope Value," "Stream Drop Analysis," and "Stream Definition by Threshold." It creates a grid where stream cells have a value of 1 and non-stream cells have a value of 0 using the area and slope threshold method to determine the location of the streams. With this method, streams are defined as beginning where an expression meets or exceeds a threshold (T). The expression is calculated by taking the slope (S) raised to an exponent (m) and then multiplied by the specific catchment area (a) raised to an exponent (n), i.e, (S^m)(a^n) >= T. Once a stream begins, it continues downslope, from there. This method was suggested by Montgomery and Dietrich (1992). (They used the slope exponent (m) of 2, area exponent (n) of 1, and a threshold (T) of 200 m^2 in their study). Please note that specific catchment area (a) is the contributing area per unit width (cell size) and has units of length. If specific catchment area is used for A, the units are contributing area per unit width (cell size), usually in m, so if the cell size is 15 m, a T equivalent to 200 m^2 is 200/15=13.3.
Move Outlets to Streams | Moves outlet points that are off a stream raster grid, downslope along the D8 flow direction until a stream raster grid is encountered. Input is a flow direction grid, a stream raster grid and an outlets shapefile. Output is a new outlets shapefile where each point has been moved to coincide with the stream raster grid, if possible. A field 'dist_moved' is added to the new outlets shapefile to indicate the changes made to each point. Points that are already on the stream raster (src) grid are not moved and their 'dist_moved' field is assigned a value 0. Points that are initially not on the stream raster grid are moved by sliding them downslope along the D8 flow direction until one of the following occurs: a.) A stream raster grid cell is encountered before traversing the max_dist number of grid cells. In which case, the point is moved and the 'dist_moved' field is assigned a value indicating how many grid cells the point was moved. b.) More than the max_number of grid cells are traversed, or the traversal ends up going out of the domain (i.e., a no data D8 flow direction value is encountered). In which case, the point is not moved and the 'dist_moved' field is assigned a value of -1.
Stream Reach and Watershed | This function produces a vector network and shapefile from the stream raster grid. The flow direction grid is used to connect flow paths along the stream raster. The Strahler order of each stream segment is computed. The subwatershed draining to each stream segment (reach) is also delineated and labeled with the value identifier that corresponds to the WSNO (watershed number) attribute in the stream reach shapefile.
Watershed Grid to Shapefile | Translates the grid watershed representation into a polygon shapefile. Each shape in the Watershed Shapefile is assigned an identifier the same as the value identifier in the grid from which it was created, that in turn maps back to WSNO in the Stream Shape File.


D8 Extreme Upslope Value

Title D8 Extreme Upslope Value

Summary

Evaluates the extreme (either maximum or minimum) upslope value from an input grid based on the D8 flow model. This is intended initially for use in stream raster generation to identify a threshold of the slope times area product that results in an optimum (according to drop analysis) stream network.

If the optional outlet point shapefile is used, only the outlet cells and the cells upslope (by the D8 flow model) of them are in the domain to be evaluated.

By default, the tool checks for edge contamination. This is defined as the possibility that a result may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this and reports "no data" for the result for these grid cells. It is common to see streaks of "no data" values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that the result for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be turned off in cases where you know this is not an issue or want to ignore these problems, if for example, the DEM has been clipped along a watershed outline.

Syntax

D8ExtremeUpslope (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_Value_Grid__must_be__tif_, Use_maximum_upslope_value, Check_for_edge_contamination, Input_Outlets_Shapefile__must_be__shp_, Input_Number_of_Processes, Output_Extreme_Value_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid of D8 flow directions which are defined, for each cell, as the direction of the one of its eight adjacent or diagonal neighbors with the steepest downward slope. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Value_Grid__must_be__tif_ | Dialog Reference This is the grid of values of which the maximum or minimum upslope value is selected. The values most commonly used are the slope times area product needed when generating stream rasters according to drop analysis. | Raster Layer (Must be TIFF File)
Use_maximum_upslope_value | Dialog Reference A flag to indicate whether the maximum or minimum upslope value is to be calculated. | Boolean
Check_for_edge_contamination | Dialog Reference A flag that indicates whether the tool should check for edge contamination. | Boolean
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference A point shape file defining outlets of interest. If this input file is used, only the area upslope of these outlets will be evaluated by the tool. | Feature Layer (Must be SHP File)
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Extreme_Value_Grid__must_be__tif_ | Dialog Reference A grid of the maximum/minimum upslope values. | Raster Dataset


Length Area Stream Source

Title Length Area Stream Source

Summary

Creates an indicator grid (1,0) that evaluates A >= (M)(L^y) based on upslope path length, D8 contributing area grid inputs, and parameters M and y. This grid indicates likely stream source grid cells. This is an experimental method with theoretical basis in Hack's law which states that for streams L ~ A^0.6. However for hillslopes with parallel flow L ~ A. So a transition from hillslopes to streams may be represented by L ~ A^0.8 suggesting identifying grid cells as stream cells if A > M (L^(1/0.8)).

Syntax

LengthAreaStreamSource (Input_Length_Grid__must_be__tif_, Input_Contributing_Area_Grid__must_be__tif_, Threshold__M, Exponent__y, Input_Number_of_Processes, Output_Stream_Source_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Length_Grid__must_be__tif_ | Dialog Reference A grid of the maximum upslope length for each cell. This is calculated as the length of the flow path from the furthest cell that drains to each cell. Length is measured between cell centers taking into account cell size and whether the direction is adjacent or diagonal. It is this length (L) that is used in the formula, A >(M)(L^y), to determine which cells are considered stream cells. This grid can be obtained as an output from the "Grid Network" tool. | Raster Layer (Must be TIFF File)
Input_Contributing_Area_Grid__must_be__tif_ | Dialog Reference A grid of contributing area values for each cell that were calculated using the D8 algorithm. The contributing area for a cell is the sum of its own contribution plus the contribution from all upslope neighbors that drain to it, measured as a number of cells. This grid is typically obtained as the output of the "D8 Contributing Area" tool. In this tool, it is the contributing area (A) that is compared in the formula A > ML^y to determine the transition to a stream. | Raster Layer (Must be TIFF File)
Threshold__M | Dialog Reference The multiplier threshold (M) parameter which is used in the formula: A > (M)(L^y), to identify the beginning of streams. | Double
Exponent__y | Dialog Reference The exponent (y) parameter which is used in the formula: A > (M)(L^y), to identify the beginning of streams. In branching systems, Hack's law suggests that L = 1/M A^(1/y) with 1/y = 0.6 (or 0.56) (y about 1.7). In parallel flow systems L is proportional to A (y about 1). This method tries to identify the transition between these two paradigms by using an exponent y somewhere inbetween (y about 1.3). | Double
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Stream_Source_Grid__must_be__tif_ | Dialog Reference An indicator grid (1,0) that evaluates A >= (M)(L^y), based on the maximum upslope path length, the D8 contributing area grid inputs, and parameters M and y. This grid indicates likely stream source grid cells. | Raster Dataset


Move Outlets To Streams

Title Move Outlets To Streams

Summary

Moves outlet points that are not aligned with a stream cell from a stream raster grid, downslope along the D8 flow direction until a stream raster cell is encountered, the max_dist number of grid cells are examined, or the flow path exits the domain (i.e. a "no data" value is encountered for the D8 flow direction). The output file is a new outlets shapefile where each point has been moved to coincide with the stream raster grid, if possible. A field 'dist_moved' is added to the new outlets shapefile to indicate the changes made to each point. Points that are already on a stream cell are not moved and their 'dist_moved' field is assigned a value 0. Points that are initially not on a stream cell are moved by sliding them downslope along the D8 flow direction until one of the following occurs: a.) A stream raster grid cell is encountered before traversing the max_dist number of grid cells. In which case, the point is moved and the 'dist_moved' field is assigned a value indicating how many grid cells the point was moved. b.) More than the max_number of grid cells are traversed, or c) the traversal ends up going out of the domain (i.e., a "no data" D8 flow direction value is encountered). In which case, the point is not moved and the 'dist_moved' field is assigned a value of -1.

Syntax

MoveOutletsToStreams (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_Stream_Raster_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Input_Maximum_Distance, Input_Number_of_Processes, Output_Outlet_Shapefile__must_be__shp_)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference This input is a grid of flow directions that are encoded using the D8 method where all flow from a cells goes to a single neighboring cell in the direction of steepest descent. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Stream_Raster_Grid__must_be__tif_ | Dialog Reference This output is an indicator grid (1,0) that indicates the location of streams, with a value of 1 for each of the stream cells and 0 for the remainder of the cells. This file is produced by several different tools in the "Stream Network Analysis" toolset. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ | Dialog Reference A point shape file defining points of interest or outlets that should ideally be located on a stream, but may not be exactly on the stream due to the fact that the shapefile point locations may not have been accurately registered with respect to the stream raster grid. | Feature Layer (Must be SHP File)
Input_Maximum_Distance | Dialog Reference This input paramater is the maximum number of grid cells that the points in the input outlet shapefile will be moved before they are saved to the output outlet shapefile. | Double
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Outlet_Shapefile__must_be__shp_ | Dialog Reference A point shape file defining points of interest or outlets. This file has one point in it for each point in the input outlet shapefile. If the original point was located on a stream, then the point was not moved. If the origianl point was not on a stream, the point was moved downslope according to the D8 flow direction until it reached a stream or the maximum distance had been reached. This file has an additional field "dist_moved" added to it which is the number of cells that the point was moved. This field is 0 if the cell was originally on a stream, -1 if it was not moved becuase there was not a stream within the maximum distance, or some positive value if it was moved. | Feature Layer


Peuker Douglas

Title Peuker Douglas

Summary

Creates an indicator grid (1,0) of upward curved grid cells according to the Peuker and Douglas algorithm.

With this tool, the DEM is first smoothed by a kernel with weights at the center, sides, and diagonals. The Peuker and Douglas (1975) method (also explained in Band, 1986), is then used to identify upwardly curving grid cells. This technique flags the entire grid, then examines in a single pass each quadrant of 4 grid cells, and unflags the highest. The remaining flagged cells are deemed 'upwardly curved', and when viewed, resemble a channel network. This proto-channel network generally lacks connectivity and requires thinning, issues that were discussed in detail by Band (1986).

Band, L. E., (1986), "Topographic partition of watersheds with digital elevation models," Water Resources Research, 22(1): 15-24.

Peuker, T. K. and D. H. Douglas, (1975), "Detection of surface-specific points by local parallel processing of discrete terrain elevation data," Comput. Graphics Image Process., 4: 375-387.

Syntax

PeukerDouglas (Input_Elevation_Grid__must_be__tif_, Center_Smoothing_Weight, Side_Smoothing_Weight, Diagonal_Smoothing_Weight, Input_Number_of_Processes, Output_Stream_Source_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Elevation_Grid__must_be__tif_ | Dialog Reference A grid of elevation values. This is usually the output of the "Pit Remove" tool, in which case it is elevations with pits removed. | Raster Layer (Must be TIFF File)
Center_Smoothing_Weight | Dialog Reference The center weight parameter used by a kernel to smooth the DEM before the tool identifies upwardly curved grid cells. | Double
Side_Smoothing_Weight | Dialog Reference The side weight parameter used by a kernel to smooth the DEM before the tool identifies upwardly curved grid cells. | Double
Diagonal_Smoothing_Weight | Dialog Reference The diagonal weight parameter used by a kernel to smooth the DEM before the tool identifies upwardly curved grid cells. | Double
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Stream_Source_Grid__must_be__tif_ | Dialog Reference An indicator grid (1,0) of upward curved grid cells according to the Peuker and Douglas algorithm, and if viewed, resembles a channel network. This proto-channel network generally lacks connectivity and requires thinning, issues that were discussed in detail by Band (1986). | Raster Dataset


Peuker Douglas Stream Definition

Title Peuker Douglas Stream Definition

Summary

This tool combines the functionality of the "Peuker Douglas," "D8 Contributing Area," "Stream Drop Analysis," and "Stream Definition by Threshold" tools in order to generate a stream indicator grid (1,0) where the streams are located using a DEM curvature-based method. With this method, the DEM is first smoothed by a kernel with weights at the center, sides, and diagonals. The Peuker and Douglas (1975) method (also explained in Band, 1986), is then used to identify upwardly curving grid cells. This technique flags the entire grid, then examines in a single pass each quadrant of 4 grid cells, and unflags the highest. The remaining flagged cells are deemed 'upwardly curved', and when viewed, resemble a channel network. This proto-channel network sometimes lacks connectivity, and/or requires thinning, issues that were discussed in detail by Band (1986). The thinning and connecting of these grid cells is achieved here by computing the D8 contributing area using only these upwardly curving cells. An accumulation threshold on the number of these cells is then used to map the channel network where this threshold is optionally set by the user, or determined via drop analysis.

If drop analysis is used, then instead of providing a value for the accumulation threshold, the accumulation threshold value is determined by searching the range between the Drop Analysis Parameters "Lowest" and "Highest", using the number of steps in the parameter "Number". For the science behind drop analysis, see Tarboton, et al. (1991, 1992), and Tarboton and Ames (2001). The value of accumulation threshold that is selected is the smallest value where the absolute value of the t-statistic is less than 2. This is written to the drop analysis table text file. Drop analysis is only possible when outlets have been specified, because if an entire grid domain is analyzed, as the threshold varies, shorter streams draining off the edge may not meet the threshold criterion and be excluded from the analysis. This makes defining drainage density problematic and it is somewhat inconsistent to compare statistics evaluated over differing domains.

Band, L. E., (1986), "Topographic partition of watersheds with digital elevation models," Water Resources Research, 22(1): 15-24.

Peuker, T. K. and D. H. Douglas, (1975), "Detection of surface-specific points by local parallel processing of discrete terrain elevation data," Comput. Graphics Image Process., 4: 375-387.

Tarboton, D. G., R. L. Bras and I. Rodriguez-Iturbe, (1991), "On the Extraction of Channel Networks from Digital Elevation Data," Hydrologic Processes, 5(1): 81-100.

Tarboton, D. G., R. L. Bras and I. Rodriguez-Iturbe, (1992), "A Physical Basis for Drainage Density," Geomorphology, 5(1/2): 59-76.

Tarboton, D. G. and D. P. Ames, (2001), "Advances in the mapping of flow networks from digital elevation data," World Water and Environmental Resources Congress, Orlando, Florida, May 20-24, ASCE, http://www.engineering.usu.edu/dtarb/asce2001.pdf.

Syntax

PeukerDouglasStreamDef (Input_Elevation_Grid__must_be__tif_, Input_D8_Flow_Direction_Grid__must_be__tif_, Weight_Center, Weight_Side, Weight_Diagonal, Accumulation_Threshold, Check_for_Edge_Contamination, Input_Outlets_Shapefile__must_be__shp_, Input_Mask_Grid__must_be__tif_, Input_D8_Contributing_Area_for_Drop_Analysis__must_be__tif_, Input_Number_of_Processes, Output_Stream_Source_Grid__must_be__tif_, Output_Accumulated_Stream_Source_Grid__must_be__tif_, Output_Stream_Raster_Grid__must_be__tif_, Output_Drop_Analysis_Table__must_be__txt_, Use_the_range_below_to_automatically_select_threshold_by_drop_analysis, Minimum_Threshold_Value, Maximum_Threshold_Value, Number_of_Threshold_Values, Use_Logarithmic_spacing_for_threshold_values)

Parameter | Explanation | Data Type
Input_Elevation_Grid__must_be__tif_ | Dialog Reference This input is a grid of elevation values. As a general rule, it is recommended that you use a grid of elevation values that have had the pits removed for this input. Pits are generally taken to be artifacts that interfere with the analysis of flow across them. This grid can be obtained as the output of the "Pit Remove" tool, in which case it contains elevation values where the pits have been filled to the point where they just drain. | Raster Layer (Must be TIFF File)
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference This input is a grid of flow directions that are encoded using the D8 method where all flow from a cells goes to a single neighboring cell in the direction of steepest descent. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Weight_Center | Dialog Reference This input is the center weight used by a kernel to smooth the DEM before the tool identifies upwardly curved grid cells. | Double
Weight_Side | Dialog Reference This input is the side weight used by a kernel to smooth the DEM before the tool identifies upwardly curved grid cells. | Double
Weight_Diagonal | Dialog Reference This input is the diagonal weight used by a kernel to smooth the DEM before the tool identifies upwardly curved grid cells. | Double
Accumulation_Threshold | Dialog Reference This input is used as the accumulation threshold on the number of upwardly curved cells, that is used to identify the beginning of streams. This value must be provided unless drop analysis is used. | Double
Check_for_Edge_Contamination | Dialog Reference This flag determines whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being considered when determining contributing area. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this possibility and reports no data for the contributing area value. It is common to see streaks of no data values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect, and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the available data. Edge contamination checking may be overridden in cases where you know it is not an issue, or want to ignore the problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference This optional input is a point shapefile defining the outlets of interest. If this file is used, the tool will only evaluate the area upslope of these outlets. If drop analysis is being used, this file must be provided. | Feature Layer (Must be SHP File)
Input_Mask_Grid__must_be__tif_ (Optional) | Dialog Reference This optional input is a grid that is used to mask the domain of interest and output is only provided where this grid is valid, i.e. does not contain a no-data value and whose value is greater than 0. A common use of this input is to use a D-infinity contributing area grid as the mask so that the delineated stream network is constrained to areas where D-infinity contributing area is available, replicating the functionality of an edge contamination mask. | Raster Layer (Must be TIFF File)
Input_D8_Contributing_Area_for_Drop_Analysis__must_be__tif_ (Optional) | Dialog Reference This input is a grid of contributing area values for each cell that were calculated using the D8 algorithm. The contributing area for a cell is the sum of its own contribution plus the contribution from all upslope neighbors that drain to it, measured as a number of cells or the sum of weight loadings. This grid can be obtained as the output of the "D8 Contributing Area" tool. If drop analysis is being used, this file must be provided as it is used to evaluate drainage density. | Raster Layer (Must be TIFF File)
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Stream_Source_Grid__must_be__tif_ | Dialog Reference This output is an indicator grid (1,0) of upward curved grid cells according to the Peuker and Douglas algorithm, and if viewed, resembles a channel network. This proto channel network generally lacks connectivity and requires thinning, issues that were discussed in detail by Band (1986). | Raster Dataset
Output_Accumulated_Stream_Source_Grid__must_be__tif_ | Dialog Reference This output grid is the accumulated area in the D8 direction of just the upwardly curved grid cells that were determined according to the Peuker and Douglas algorithm. This accumulation serves to thin and connect the proto channel network defined in the output strean source grid. | Raster Dataset
Output_Stream_Raster_Grid__must_be__tif_ | Dialog Reference This output is an indicator grid (1,0) that indicates the location of streams, with a value of 1 for each of the stream cells and 0 for the remainder of the cells. | Raster Dataset
Output_Drop_Analysis_Table__must_be__txt_ (Optional) | Dialog Reference This output is a comma delimited text file with the following header line: Threshold, DrainDen, NoFirstOrd, NoHighOrd, MeanDFirstOrd, MeanDHighOrd, StdDevFirstOrd, StdDevHighOrd, T The file then contains one line of data for each threshold value examined, and then a summary line that indicates the optimum threshold value. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). This output is only generated if drop analysis is used. | File
Use_the_range_below_to_automatically_select_threshold_by_drop_analysis | Dialog Reference This flag indicates whether drop analysis should be used to determine the optimal accumulation threshold value. Otherwise, the accumulation threshold parameter above will be used. | Boolean
Minimum_Threshold_Value | Dialog Reference This value is the lowest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Maximum_Threshold_Value | Dialog Reference This value is the highest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Number_of_Threshold_Values | Dialog Reference The number of steps to divide the search range into when looking for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Use_Logarithmic_spacing_for_threshold_values | Dialog Reference This flag indicates whether a logarithmic or linear spacing should be used when looking for possible threshold values using drop ananlysis. | Boolean


Slope Area Combination

Title Slope Area Combination

Summary

Creates a grid of slope-area values = (S^m)(A^n) based on slope and specific catchment area grid inputs, and parameters m and n. This tool is intended for use as part of the slope-area stream raster delineation method.

Syntax

SlopeAreaCombination (Input_Slope_Grid__must_be__tif_, Input_Area_Grid__must_be__tif_, Slope_Exponent__m, Area_Exponent__n, Input_Number_of_Processes, Output_Slope_Area_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Slope_Grid__must_be__tif_ | Dialog Reference This input is a grid of slope values. This grid can be obtained from the "D-Infinity Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Area_Grid__must_be__tif_ | Dialog Reference A grid giving the specific catchment area for each cell taken as its own contribution (grid cell length or summation of weights) plus the proportional contribution from upslope neighbors that drain in to it. This grid is typically obtained from the "D-Infinity Contributing Area" tool. | Raster Layer (Must be TIFF File)
Slope_Exponent__m | Dialog Reference The slope exponent (m) parameter which will be used in the formula: (S^m)(A^n), that is used to create the slope-area grid. | Double
Area_Exponent__n | Dialog Reference The area exponent (n) parameter which will be used in the formula: (S^m)(A^n), that is used to create the slope-area grid. | Double
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Slope_Area_Grid__must_be__tif_ | Dialog Reference A grid of slope-area values = (S^m)(A^n) calculated from the slope grid, specific catchment area grid, m slope exponent parameter, and n area exponent parameter. | Raster Dataset


Slope Area Stream Definition

Title Slope Area Stream Definition

Summary

This tool combines the function of the following tools: "Slope Area Combination," "D8 Extreme Upslope Value," "Stream Drop Analysis," and "Stream Definition by Threshold." It creates a grid where stream cells have a value of 1 and non-stream cells have a value of 0 using the area and slope threshold method to determine the location of the streams. With this method, streams are defined as beginning where an expression meets or exceeds a threshold (T). The expression is calculated by taking the slope (S) raised to an exponent (m) and then multiplied by the specific catchment area (a) raised to an exponent (n), i.e, (S^m)(a^n) >= T. Once a stream begins, it continues downslope, from there. This method was suggested by Montgomery and Dietrich (1992). (They used the slope exponent (m) of 2, area exponent (n) of 1, and a threshold (T) of 200 m^2 in their study). Please note that specific catchment area (a) is the contributing area per unit width (cell size) and has units of length. If specific catchment area is used for A, the units are contributing area per unit width (cell size), usually in m, so if the cell size is 15 m, a T equivalent to 200 m^2 is 200/15=13.3.

Montgomery, D. R. and W. E. Dietrich, (1992), "Channel Initiation and the Problem of Landscape Scale," Science, 255: 826-830.

Syntax

SlopeAreaStreamDef (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_D-Infinity_Contributing_Area_Grid__must_be__tif_, Input_Slope_Grid__must_be__tif_, Input_Mask_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Input_Pit_Filled_Elevation_Grid_for_Drop_Analysis__must_be__tif_, Input_D8_Contributing_Area_Grid_for_Drop_Analysis__must_be__tif_, Check_for_Edge_Contamination, Slope_Exponent__m, Area_Exponent__n, Threshold__T, Input_Number_of_Processes, Output_Stream_Raster_Grid__must_be__tif_, Output_Slope-Area_Grid__must_be__tif_, Output_Maximum_Upslope_Grid__must_be__tif_, Output_Drop_Analysis_Table__must_be__txt_, Use_the_range_below_to_automatically_select_threshold_by_drop_analysis, Minimum_Threshold_Value, Maximum_Threshold_Value, Number_of_Threshold_Values, Use_Logarithmic_spacing_for_threshold_values)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference This input is a grid of flow directions that are encoded using the D8 method where all flow from a cells goes to a single neighboring cell in the direction of steepest descent. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid is typically obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_D-Infinity_Contributing_Area_Grid__must_be__tif_ | Dialog Reference A grid giving the specific catchment area value for each cell taken as its own contribution (grid cell length or summation of weights) plus the proportional contribution from upslope neighbors that drain in to it. This grid is typically obtained using the D-infinity multiple flow direction method that is used by the "D-Infinity Contributing Area" tool. In this tool, it is this area (a) that is used in the formula (S^m)(a^n) >= T to determine the transition to a stream. | Raster Layer (Must be TIFF File)
Input_Slope_Grid__must_be__tif_ | Dialog Reference This input is a grid of slope values. This is measured as drop/distance and it is most often obtained as the output of the "D-Infinity Flow Direction" tool. In this tool, it is this slope (S) that is used in the formula (S^m)(a^n) >= T to determine the transition to a stream. | Raster Layer (Must be TIFF File)
Input_Mask_Grid__must_be__tif_ (Optional) | Dialog Reference This optional input is a grid that is used to mask the domain of interest and output is only provided where this grid is valid, i.e. does not contain a no-data value and whose value is greater than 0. A common use of this input is to use a D-infinity contributing area grid as the mask so that the delineated stream network is constrained to areas where D-infinity contributing area is available, replicating the functionality of an edge contamination mask. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference This optional input is a point shapefile defining the outlets of interest. If this file is used, the tool will only evaluate the area upslope of these outlets. | Feature Layer (Must be SHP File)
Input_Pit_Filled_Elevation_Grid_for_Drop_Analysis__must_be__tif_ (Optional) | Dialog Reference This input is a grid of elevation values. As a general rule, it is recommended that you use a grid of elevation values that have had the pits removed for this input. Pits are generally taken to be artifacts that interfere with the analysis of flow across them. This grid can be obtained as the output of the "Pit Remove" tool, in which case it contains elevation values where the pits have been filled to the point where they just drain. This grid is only needed if drop analysis is being performed and is used to evaluate elevation drops along streams. | Raster Layer (Must be TIFF File)
Input_D8_Contributing_Area_Grid_for_Drop_Analysis__must_be__tif_ (Optional) | Dialog Reference This input is a grid of contributing area values for each cell that were calculated using the D8 algorithm. The contributing area for a cell is the sum of its own contribution plus the contribution from all upslope neighbors that drain to it, measured as a number of cells or the sum of weight loadings. This grid can be obtained as the output of the "D8 Contributing Area" tool. This input is required only when using drop analysis and is used to evaluate drainage density. | Raster Layer (Must be TIFF File)
Check_for_Edge_Contamination | Dialog Reference This flag determines whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being considered when determining contributing area. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this possibility and reports no data for the contributing area value. It is common to see streaks of no data values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect, and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the available data. Edge contamination checking may be overridden in cases where you know it is not an issue, or want to ignore the problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Slope_Exponent__m | Dialog Reference This input parameter is used as the slope exponent (m) in the formula: (S^m)*(a^n) >= T, that is used to identify the beginning of streams. | Double
Area_Exponent__n | Dialog Reference This input parameter is used as the area exponent (n) in the formula: (S^m)*(a^n) >= T, that is used to identify the beginning of streams. | Double
Threshold__T | Dialog Reference This optional input value is used as the threshold (T) in the formula: (S^m)*(a^n) >= T, that is used to identify the beginning of streams. This value must be provided unless drop analysis is used. | Double
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Stream_Raster_Grid__must_be__tif_ | Dialog Reference This output is an indicator grid (1,0) that indicates the location of streams, with a value of 1 for each of the stream cells and 0 for the remainder of the cells. | Raster Dataset
Output_Slope-Area_Grid__must_be__tif_ | Dialog Reference This output grid contains the value of (S^m)*(a^n) for each grid cell. | Raster Dataset
Output_Maximum_Upslope_Grid__must_be__tif_ | Dialog Reference This output grid contains the maximum value of the Slope-Area grid upslope of each grid cell in the domain using D8 flow directions. | Raster Dataset
Output_Drop_Analysis_Table__must_be__txt_ (Optional) | Dialog Reference This output is a comma delimited text file with the following header line: Threshold, DrainDen, NoFirstOrd, NoHighOrd, MeanDFirstOrd, MeanDHighOrd, StdDevFirstOrd, StdDevHighOrd, T The file then contains one line of data for each threshold value examined, and then a summary line that indicates the optimum threshold value. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). This output is only generated if drop analysis is used. | File
Use_the_range_below_to_automatically_select_threshold_by_drop_analysis | Dialog Reference This flag indicates whether drop analysis should be used to determine the optimal accumulation threshold value. Otherwise, the accumulation threshold parameter above will be used. | Boolean
Minimum_Threshold_Value | Dialog Reference This value is the lowest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Maximum_Threshold_Value | Dialog Reference This value is the highest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Number_of_Threshold_Values | Dialog Reference The number of steps to divide the search range into when looking for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Use_Logarithmic_spacing_for_threshold_values | Dialog Reference This flag indicates whether a logarithmic or linear spacing should be used when looking for possible threshold values using drop ananlysis. | Boolean


Stream Definition By Threshold

Title Stream Definition By Threshold

Summary

Operates on any grid and outputs an indicator (1,0) grid identifing cells with input values >= the threshold value. The standard use is to use an accumulated source area grid to as the input grid to generate a stream raster grid as the output. If you use the optional input mask grid, it limits the domain being evaluated to cells with mask values >= 0 . When you use a D-infinity contributing area grid (*sca) as the mask grid, it functions as an edge contamination mask. The threshold logic is: src = ((ssa >= thresh) & (mask >=0)) ? 1:0 .

Syntax

StreamDefByThreshold (Input_Accumulated_Stream_Source_Grid__must_be__tif_, Input_Mask_Grid__must_be__tif_, Threshold, Input_Number_of_Processes, Output_Stream_Raster_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Accumulated_Stream_Source_Grid__must_be__tif_ | Dialog Reference This grid nominally accumulates some characteristic or combination of characteristics of the watershed. The exact characteristic(s) varies depending on the stream network raster algorithm being used. This grid needs to have the property that grid cell values are monotonically increasing downslope along D8 flow directions, so that the resulting stream network is continuous. While this grid is often from an accumulation, other sources such as a maximum upslope function will also produce a suitable grid. | Raster Layer (Must be TIFF File)
Input_Mask_Grid__must_be__tif_ (Optional) | Dialog Reference This optional input is a grid that is used to mask the domain of interest and output is only provided where this grid is >= 0. A common use of this input is to use a D-Infinity contributing area grid as the mask so that the delineated stream network is constrained to areas where D-infinity contributing area is available, replicating the functionality of an edge contamination mask. | Raster Layer (Must be TIFF File)
Threshold | Dialog Reference This parameter is compared to the value in the Accumulated Stream Source grid (*ssa) to determine if the cell should be considered a stream cell. Streams are identified as grid cells for which ssa value is >= this threshold. | Double
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Stream_Raster_Grid__must_be__tif_ | Dialog Reference This is an indicator grid (1,0) that indicates the location of streams, with a value of 1 for each of the stream cells and 0 for the remainder of the cells. | Raster Dataset


Stream Definition With Drop Analysis

Title Stream Definition With Drop Analysis

Summary

This tool combines the function of the "Stream Drop Analysis" tool and the "Stream Definition by Threshold" tool. It applies a series of thresholds (determined from the input parameters) to the input accumulated stream source grid (*ssa) grid and outputs the results in the stream drop statistics table (*drp.txt). Then it outputs a stream raster grid, which is an indicator (1,0) grid of stream cells. Stream cells are defined as those cells where the accumulated stream source value is >= the optimal threshold as determined from the stream drop statistics. There is an option to include a mask input to replicate the functionality for using the *sca file as an edge contamination mask. The threshold logic should be: src = ((ssa >= thresh) & (mask >=0)) ? 1:0 .

Syntax

StreamDefWithDropAnalysis (Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_D8_Flow_Direction_Grid__must_be__tif_, Input_D8_Contributing_Area_Grid__must_be__tif_, Input_Accumulated_Stream_Source_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Input_Mask_Grid__must_be__tif_, Minimum_Threshold_Value, Maximum_Threshold_Value, Number_of_Threshold_Values, Use_logarithmic_spacing_for_threshold_values, Input_Number_of_Processes, Output_Drop_Analysis_Text_File__must_be__txt_, Output_Stream_Raster_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Pit_Filled_Elevation_Grid__must_be__tif_ | Dialog Reference This input is a grid of elevation values. As a general rule, it is recommended that you use a grid of elevation values that have had the pits removed for this input. Pits are generally taken to be artifacts that interfere with the analysis of flow across them. This grid can be obtained as the output of the "Pit Remove" tool, in which case it contains elevation values where the pits have been filled to the point where they just drain. | Raster Layer (Must be TIFF File)
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid of D8 flow directions which are defined, for each cell, as the direction of the one of its eight adjacent or diagonal neighbors with the steepest downward slope. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_D8_Contributing_Area_Grid__must_be__tif_ | Dialog Reference A grid of contributing area values for each cell that were calculated using the D8 algorithm. The contributing area for a cell is the sum of its own contribution plus the contribution from all upslope neighbors that drain to it, measured as a number of cells or the sum of weight loadings. This grid can be obtained as the output of the "D8 Contributing Area" tool. In this tool, it is the contributing area (A) that is compared in the formula A > ML^y to determine the transition to a stream. | Raster Layer (Must be TIFF File)
Input_Accumulated_Stream_Source_Grid__must_be__tif_ | Dialog Reference This grid nominally accumulates some characteristic or combination of characteristics of the watershed. The exact characteristic(s) varies depending on the stream network raster algorithm being used. This grid needs to have the property that grid cell values are monotonically increasing downslope along D8 flow directions, so that the resulting stream network is continuous. While this grid is often from an accumulation, other sources such as a maximum upslope function will also produce a suitable grid. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ | Dialog Reference A point shapefile defining the outlets of interest. If this input file is used, only the cells upslope of these outlet cells are considered to be within the domain being evaluated. | Feature Layer (Must be SHP File)
Input_Mask_Grid__must_be__tif_ (Optional) | Dialog Reference This optional input is a grid that is used to mask the domain of interest and output is only provided where this grid is >= 0. A common use of this input is to use a D-Infinity contributing area grid as the mask so that the delineated stream network is constrained to areas where D-infinity contributing area is available, replicating the functionality of an edge contamination mask. | Raster Layer (Must be TIFF File)
Minimum_Threshold_Value | Dialog Reference This parameter is the lowest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Maximum_Threshold_Value | Dialog Reference This parameter is the highest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Number_of_Threshold_Values | Dialog Reference The parameter is the number of steps to divide the search range into when looking for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Use_logarithmic_spacing_for_threshold_values | Dialog Reference This checkbox indicates whether logarithmic or linear spacing should be used when looking for possible threshold values using drop ananlysis. | Boolean
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Drop_Analysis_Text_File__must_be__txt_ | Dialog Reference This is a comma delimited text file with the following header line: Threshold, DrainDen, NoFirstOrd, NoHighOrd, MeanDFirstOrd, MeanDHighOrd, StdDevFirstOrd, StdDevHighOrd, T The file then contains one line of data for each threshold value examined, and then a summary line that indicates the optimum threshold value. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis, see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | File
Output_Stream_Raster_Grid__must_be__tif_ | Dialog Reference This is an indicator grid (1,0) that indicates the location of streams, with a value of 1 for each of the stream cells and 0 for the remainder of the cells. | Raster Dataset


Stream Drop Analysis

Title Stream Drop Analysis

Summary

Applies a series of thresholds (determined from the input parameters) to the input accumulated stream source grid (*ssa) grid and outputs the results in the *drp.txt file the stream drop statistics table. This function is designed to aid in the determination of a geomorphologically objective threshold to be used to delineate streams. Drop Analysis attempts to select the right threshold automatically by evaluating a stream network for a range of thresholds and examining the constant drop property of the resulting Strahler streams. Basically it asks the question: Is the mean stream drop for first order streams statistically different from the mean stream drop for higher order streams, using a T-Test. Stream drop is the difference in elevation from the beginning to the end of a stream defined as the sequence of links of the same stream order. If the T test shows a significant difference then the stream network does not obey this "law" so a larger threshold needs to be chosen. The smallest threshold for which the T test does not show a significant difference gives the highest resolution stream network that obeys the constant stream drop "law" from geomorphology, and is the threshold chosen for the "objective" or automatic mapping of streams from the DEM. This function can be used in the development of stream network rasters, where the exact watershed characteristic(s) that were accumulated in the accumulated stream source grid vary based on the method being used to determine the stream network raster.

Stream Drop Illustration

Illustration of stream drops

The constant stream drop "law" was identified by Broscoe (1959). For the science behind using this to determine a stream delineation threshold, see Tarboton et al. (1991, 1992), Tarboton and Ames (2001).

Broscoe, A. J., (1959), "Quantitative analysis of longitudinal stream profiles of small watersheds," Office of Naval Research, Project NR 389-042, Technical Report No. 18, Department of Geology, Columbia University, New York.

Tarboton, D. G., R. L. Bras and I. Rodriguez-Iturbe, (1991), "On the Extraction of Channel Networks from Digital Elevation Data," Hydrologic Processes, 5(1): 81-100.

Tarboton, D. G., R. L. Bras and I. Rodriguez-Iturbe, (1992), "A Physical Basis for Drainage Density," Geomorphology, 5(1/2): 59-76.

Tarboton, D. G. and D. P. Ames, (2001), "Advances in the mapping of flow networks from digital elevation data," World Water and Environmental Resources Congress, Orlando, Florida, May 20-24, ASCE, http://www.engineering.usu.edu/dtarb/asce2001.pdf.

Syntax

StreamDropAnalysis (Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_D8_Flow_Direction_Grid__must_be__tif_, Input_D8_Contributing_Area_Grid__must_be__tif_, Input_Accumulated_Stream_Source_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Minimum_Threshold_Value, Maximum_Threshold_Value, Number_of_Threshold_Values, Use_logarithmic_spacing_for_threshold_values, Input_Number_of_Processes, Output_Drop_Analysis_Text_File__must_be__txt_)

Parameter | Explanation | Data Type
Input_Pit_Filled_Elevation_Grid__must_be__tif_ | Dialog Reference A grid of elevation values. This is usually the output of the "Pit Remove" tool, in which case it is elevations with pits removed. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts of the digitation process that interfere with the processing of flow across DEMs. So they are removed by raising their elevation to the point where they just drain off the domain. This step is not essential if you have reason to believe that the pits in your DEM are real, but with drop analysis ensures that the elevation drop downstream along a stream is positive. | Raster Layer (Must be TIFF File)
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid of D8 flow directions which are defined, for each cell, as the direction of the one of its eight adjacent or diagonal neighbors with the steepest downward slope. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_D8_Contributing_Area_Grid__must_be__tif_ | Dialog Reference A grid of contributing area values for each cell that were calculated using the D8 algorithm. The contributing area for a cell is the sum of its own contribution plus the contribution from all upslope neighbors that drain to it, measured as a number of cells or the sum of weight loadings. This grid can be obtained as the output of the "D8 Contributing Area" tool. This grid is used in the evaluation of drainage density reported in the stream drop table. | Raster Layer (Must be TIFF File)
Input_Accumulated_Stream_Source_Grid__must_be__tif_ | Dialog Reference This grid must be monotonically increasing along the downslope D8 flow directions. It it compared to a series of thresholds to determine the beginning of the streams. It is often generated by accumulating some characteristic or combination of characteristics of the watershed with the "D8 Contributing Area" tool, or using the maximum option of the "D8 Flow Path Extreme" tool. The exact method varies depending on the algorithm being used. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ | Dialog Reference A point shapefile defining the outlets upstream of which drop analysis is performed. | Feature Layer (Must be SHP File)
Minimum_Threshold_Value | Dialog Reference This parameter is the lowest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Maximum_Threshold_Value | Dialog Reference This parameter is the highest end of the range searched for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Number_of_Threshold_Values | Dialog Reference The parameter is the number of steps to divide the search range into when looking for possible threshold values using drop analysis. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | Double
Use_logarithmic_spacing_for_threshold_values | Dialog Reference This checkbox indicates whether logarithmic or linear spacing should be used when looking for possible threshold values using drop ananlysis. | Boolean
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Drop_Analysis_Text_File__must_be__txt_ | Dialog Reference This is a comma delimited text file with the following header line: Threshold, DrainDen, NoFirstOrd, NoHighOrd, MeanDFirstOrd, MeanDHighOrd, StdDevFirstOrd, StdDevHighOrd, T The file then contains one line of data for each threshold value examined, and then a summary line that indicates the optimum threshold value. This technique looks for the smallest threshold in the range where the absolute value of the t-statistic is less than 2. For the science behind the drop analysis, see Tarboton et al. (1991, 1992), Tarboton and Ames (2001). | File


Stream Reach And Watershed

Title Stream Reach And Watershed

Summary

This tool produces a vector network and shapefile from the stream raster grid. The flow direction grid is used to connect flow paths along the stream raster. The Strahler order of each stream segment is computed. The subwatershed draining to each stream segment (reach) is also delineated and labeled with the value identifier that corresponds to the WSNO (watershed number) attribute in the Stream Reach Shapefile.

This tool orders the stream network according to the Strahler ordering system. Streams that don't have any other streams draining in to them are order 1. When two stream reaches of different order join the order of the downstream reach is the order of the highest incoming reach. When two reaches of equal order join the downstream reach order is increased by 1. When more than two reaches join the downstream reach order is calculated as the maximum of the highest incoming reach order or the second highest incoming reach order + 1. This generalizes the common definition to cases where more than two reaches join at a point. The network topological connectivity is stored in the Stream Network Tree file, and coordinates and attributes from each grid cell along the network are stored in the Network Coordinates file.

The stream raster grid is used as the source for the stream network, and the flow direction grid is used to trace connections within the stream network. Elevations and contributing area are used to determine the elevation and contributing area attributes in the network coordinate file. Points in the outlets shapefile are used to logically split stream reaches to facilitate representing watersheds upstream and downstream of monitoring points. The program uses the attribute field "id" in the outlets shapefile as identifiers in the Network Tree file. This tool then translates the text file vector network representation in the Network Tree and Coordinates files into a shapefile. Further attributes are also evaluated. The program has an option to delineate a single watershed by representing the entire area draining to the Stream Network as a single value in the output watershed grid.

Syntax

StreamReachAndWatershed (Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_D8_Flow_Direction_Grid__must_be__tif_, Input_D8_Drainage_Area__must_be__tif_, Input_Stream_Raster_Grid__must_be__tif_, Input_Outlets_Shapefile_as_Network_Nodes__must_be__shp_, Delineate_Single_Watershed, Input_Number_of_Processes, Output_Stream_Order_Grid__must_be__tif_, Output_Network_Connectivity_Tree__must_be__txt_, Output_Network_Coordinates__must_be__txt_, Output_Stream_Reach_Shapefile__must_be__shp_, Output_Watershed_Grid__must_be__tif_)

Parameter Explanation Data Type
Input_Pit_Filled_Elevation_Grid__must_be__tif_ Dialog Reference

This input is a grid of elevation values. This is usually the output of the "Pit Remove" tool, in which case it is elevations with pits removed. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts that interfere with the processing of flow across DEMs, so are removed by raising their elevation to the point where they just drain. This step is not essential if you have reason to believe that the pits in your DEM are real. Elevation values are used in this function to compute the slope of stream segments. Not removing pits can result in negative (i.e. uphill) stream segment slopes.

 Raster Layer (Must be TIFF File)
Input_D8_Flow_Direction_Grid__must_be__tif_ Dialog Reference

This input is a grid of flow directions that are encoded using the D8 method where all flow from a cells goes to a single neighboring cell in the direction of steepest descent.

D8 Flow Direction Encoding

Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast.

This grid can be obtained as the output of the "D8 Flow Directions" tool.

 Raster Layer (Must be TIFF File)
Input_D8_Drainage_Area__must_be__tif_ Dialog Reference

A grid giving the contributing area value in terms of the number of grid cells (or the summation of weights) for each cell taken as its own contribution plus the contribution from upslope neighbors that drain in to it using the D8 algorithm. This is usually the output of the "D8 Contributing Area" tool and is used to determine the contributing area attribute in the Network Coordinate file.

 Raster Layer (Must be TIFF File)
Input_Stream_Raster_Grid__must_be__tif_ Dialog Reference

An indicator grid indicating streams, by using a grid cell value of 1 on streams and 0 off streams. Several of the "Stream Network Analysis" tools produce this type of grid. The Stream Raster Grid is used as the source for the stream network.

 Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile_as_Network_Nodes__must_be__shp_ (Optional) Dialog Reference

A point shape file defining points of interest. If this file is used, the tool will only deliiniate the stream network upstream of these outlets. Additionally, points in the Outlets Shapefile are used to logically split stream reaches to facilitate representing watersheds upstream and downstream of monitoring points. This tool REQUIRES THAT THERE BE an integer attribute field "id" in the Outlets Shapefile, because the "id" values are used as identifiers in the Network Tree file.

 Feature Layer (Must be SHP File)
Delineate_Single_Watershed Dialog Reference

This option causes the tool to delineate a single watershed by representing the entire area draining to the Stream Network as a single value in the output watershed grid. Otherwise a seperate watershed is delineated for each stream reach.

 Boolean
Input_Number_of_Processes Dialog Reference

This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain.

 Long
Output_Stream_Order_Grid__must_be__tif_ Dialog Reference

The Stream Order Grid has cells values of streams ordered according to the Strahler order system. The Strahler ordering system defines order 1 streams as stream reaches that don't have any other reaches draining in to them. When two stream reaches of different order join the order of the downstream reach is the order of the highest incoming reach. When two reaches of equal order join the downstream reach order is increased by 1. When more than two reaches join the downstream reach order is calculated as the maximum of the highest incoming reach order or the second highest incoming reach order + 1. This generalizes the common definition to cases where more than two reaches join at a point. This generalizes the common definition to cases where more than two flow paths join at a point.

 Raster Dataset
Output_Network_Connectivity_Tree__must_be__txt_ Dialog Reference

This output is a text file that details the network topological connectivity is stored in the Stream Network Tree file. Columns are as follows:

  • Link Number (Arbitrary - will vary depending on number of processes used)

  • Start Point Number in Network coordinates (*coord.dat) file (Indexed from 0)

  • End Point Number in Network coordinates (*coord.dat) file (Indexed from 0)

  • Next (Downstream) Link Number. Points to Link Number. -1 indicates no links downstream, i.e. a terminal link

  • First Previous (Upstream) Link Number. Points to Link Number. -1 indicates no upstream links.

  • Second Previous (Upstream) Link Numbers. Points to Link Number. -1 indicates no upstream links. Where only one previous link is -1, it indicates an internal monitoring point where the reach is logically split, but the network does not bifurcate.

  • Strahler Order of Link

  • Monitoring point identifier at downstream end of link. -1 indicates downstream end is not a monitoring point.

  • Network magnitude of the link, calculated as the number of upstream sources (following Shreve).

File
Output_Network_Coordinates__must_be__txt_ Dialog Reference

This output is a text file that contains the coordinates and attributes of points along the stream network. Columns are as follows:

  • X coordinate

  • Y Coordinate

  • Distance along channels to the downstream end of a terminal link

  • Elevation

  • Contributing area

. 		File
Output_Stream_Reach_Shapefile__must_be__shp_ Dialog Reference

This output is a polyline shapefile giving the links in a stream network. The columns in the attribute table are:

  • LINKNO- Link Number. A unique number associated with each link (segment of channel between junctions). This is arbitrary and will vary depending on number of processes used.

  • DSLINKNO - Link Number of the downstream link. -1 indicates that this does not exist.

  • USLINKNO1 - Link Number of first upstream link. (-1 indicates no link upstream, i.e. for a source link)

  • USLINKNO2 - Link Number of second upstream link. (-1 indicates no second link upstream, i.e. for a source link or an internal monitoring point where the reach is logically split but the network does not bifurcate.)

  • DSNODEID - Node identifier for node at downstream end of stream reach. This identifier corresponds to the "id" attribute from the Outlets shapefile used to designate nodes.

  • Order - Strahler Stream Order

  • Length - Length of the link. The units are the horizontal map units of the underlying DEM grid.

  • Magnitude - Shreve Magnitude of the link. This is the total number of sources upstream

  • DS_Cont_Ar - Drainage area at the downstream end of the link. Generally this is one grid cell upstream of the downstream end because the drainage area at the downstream end grid cell includes the area of the stream being joined.

  • Drop - Drop in elevation from the start to the end of the link

  • Slope - Average slope of the link (computed as drop/length)

  • Straight_L - Straight line distance from the start to the end of the link

  • US_Cont_Ar - Drainage area at the upstream end of the link

  • WSNO - Watershed number. Cross reference to the *w.shp and *w grid files giving the identification number of the watershed draining directly to the link.

  • DOUT_END - Distance to the eventual outlet (i.e. the most downstream point in the stream network) from the downstream end of the link.

  • DOUT_START - Distance to the eventual outlet from the upstream end of the link

  • DOUT_MID - Distance to the eventual outlet from the midpoint of the link

Feature Layer
Output_Watershed_Grid__must_be__tif_ Dialog Reference

This output grid identified each reach watershed with a unique ID number, or in the case where the delineate single watershed option was checked, the entire area draining to the stream network is identified with a single ID.

 Raster Dataset


Watershed Grid To Shapefile

Title Watershed Grid To Shapefile

Summary

Translates the grid watershed representation into a polygon shapefile. Each shape in the Watershed Shapefile is assigned an identifier the same as the value identifier in the grid from which it was created, that in turn maps back to WSNO in the Stream Shapefile.

Syntax

WaterShedGridToShapefile (Input_Watershed_Grid__must_be__tif_, Output_Watershed_Shapefile__must_be__shp_)

Parameter | Explanation | Data Type
Input_Watershed_Grid__must_be__tif_ | Dialog Reference A grid demarcating each reach watershed. | Raster Layer (Must be TIFF File)
Output_Watershed_Shapefile__must_be__shp_ | Dialog Reference A polygon shapefile demarcating each reach watershed. The only attribute of this shapefile is polygon_id, identifier. This corresponds with the WSNO watershed number in the Stream Reach shapefile (*net.shp) and value in the Watershed Grid (*w). | Feature Layer


Specialized Grid Analysis Toolset

The Specialized Grid Analysis toolset contains more advanced functions that can be invoked as needed. The following table lists the tools in the toolset followed by a brief description of each.

Tool | Description
D-Infinity Avalanche Runout | Identifies an avalanche's affected area and the flow path length to each cell in that affected area. All cells downslope from each source area cell, up to the point where the slope from the source to the affected area is less than a threshold angle called the Alpha Angle can be in the affected area. This tool uses the D-infinity multiple flow direction method for determining flow direction. This will likely cause very small amounts of flow to be dispersed to some downslope cells that might overstate the affected area, so a threshold proportion can be set to avoid this excess dispersion. The flow path length is the distance from the cell in question to the source cell that has the highest angle.
D-Infinity Concentration Limited Accumulation | Creates a grid of the concentration of a substance at each location in the domain, where the supply of substance from a supply area is loaded into the flow at a concentration or solubility threshold. The flow is first calculated as a D-infinity weighted contributing area of an input Effective Runoff Weight Grid (notionally excess precipitation). The concentation of substance over the supply area (indicator grid) is at the concentration threshold. As the substance moves downslope with the D-infinity flow field, it is subject to first order decay in moving from cell to cell as well as dilution due to changes in flow. The decay multiplier grid gives the fractional (first order) reduction in quantity in moving from grid cell x to the next downslope cell. If the outlets shapefile is used, the tool only evaluates the part of the domain that contributes flow to the locations given by the shapefile. This is useful for a tracking a contaminant or compound from an area with unlimited supply of that compound that is loaded into a flow at a concentration or solubility threshold over a zone and flow from the zone may be subject to decay or attenuation.
D-Infinity Decaying Accumulation | Creates a grid of the accumulated quantity at each location in the domain where the quantity accumulates with the D-infinity flow field, but is subject to first order decay in moving from cell to cell. By default, the quantity contribution of each grid cell is the cell length to give a per unit width accumulation, but can optionally be expressed with a weight grid. The decay multiplier grid gives the fractional (first order) reduction in quantity in accumulating from grid cell x to the next downslope cell. If the outlets shapefile is used the function is only evaluated on that part of the domain that contributes flow to the locations given by the shapefile. Useful for a tracking contaminant or compound subject to decay or attenuation.
D-Infinity Distance Down | Calculates the distance downslope to a stream using the D-infinity flow model. The D-infinity flow model is a multiple flow direction model, because the outflow from each grid cell is proportioned between up to 2 downslope grid cells. As such, the distance from any grid cell to a stream is not uniquely defined. Flow that originates at a particular grid cell may enter the stream at a number of different cells. The statistical method may be selected as the longest, shortest or weighted average of the flow path distance to the stream. Also one of several ways of measuring distance may be selected: the total straight line path (Pythagoras), the horizontal component of the straight line path, the vertical component of the straight line path, or the total surface flow path.
D-Infinity Distance Up | Calculates the distance from each grid cell up to the ridge cells along the reverse D-infinity flow directions. Ridge cells are defined to be grid cells that have no contribution from grid cells further upslope. Given the convergence of multiple flow paths at any grid cell, any given grid cell can have multiple upslope ridge cells. There are three statictical methods that this tool can use: maximum distance, minimum distance and waited flow average over these flow paths. A variant on the above is to consider only grid cells that contribute flow with a proportion greater than a user specified threshold (t) to be considered as upslope of any given grid cell. Setting t=0.5 would result in only one flow path from any grid cell and would give the result equivalent to a D8 flow model, rather than D-infinity flow model, where flow is proportioned between two downslope grid cells. Finally there are several different optional paths that can be measured: the total straight line path (Pythagoras), the horizontal component of the straight line path, the vertical component of the straight line path, or the total surface flow path.
D-Infinity Reverse Accumulation | This tool works in a similar way to evaluation of weighted Contributing area, except that the accumulation is by propagating the weight loadings upslope along the reverse of the flow directions to accumulate the quantity of weight loading downslope from each grid cell. The function also reports the maximum value of the weight loading downslope from each grid cell in the Maximum Downslope grid.
D-Infinity Transport Limited Accumulation | Calculates the transport and deposition of a substance (e.g. sediment) that may be limited by both supply and the capacity of the flow field to transport it. This function accumulates substance flux (e.g. sediment transport) subject to the rule that transport out of any grid cell is the minimum between supply and transport capacity, Tcap. The total supply at a grid cell is calculated as the sum of the transport in from upslope grid cells, Tin, plus the local supply contribution, E (e.g. erosion). This function also outputs deposition, D, calculated as total supply minus actual transport.
D-Infinity Upslope Dependence | Quantifies the amount each grid cell in the domain contributes to a destination set of grid cells. D-Infinity flow directions proportion flow from each grid cell between multiple downslope grid cells. Following this flow field downslope the amount of flow originating at each grid cell that reaches the destination zone is defined.
D8 Distance to Streams | Computes the horizontal distance to stream for each grid cell, moving downslope according to the D8 flow model, until a stream grid cell is encountered.
Slope Average Down | Computes slope in a D8 downslope direction averaged over a user selected distance.
Slope Over Area Ratio | Calculates the ratio of the slope to the specific catchment area (contributing area). This is algebraically related to the more common ln(a/tan beta) wetness index, but contributing area is in the denominator to avoid divide by 0 errors when slope is 0.


D-Infinity Avalanche Runout

Title D-Infinity Avalanche Runout

Summary

Identifies an avalanche's affected area and the flow path length to each cell in that affacted area. All cells downslope from each source area cell, up to the point where the slope from the source to the affected area is less than a threshold angle called the Alpha Angle can be in the affected area. This tool uses the D-infinity multiple flow direction method for determining flow direction. This will likely cause very small amounts of flow to be dispersed to some downslope cells that might overstate the affected area, so a threshold proportion can be set to avoid this excess dispersion. The flow path length is the distance from the cell in question to the source cell that has the highest angle.

All points downslope from the source area are potentially in the affected area, but not beyond a point where the slope from the source to the affected area is less than a threshold angle called the Alpha Angle.

Example

Avalanche Runout Example

Slope is to be measured using the straight line distance from source point to evaluation point.

Discussion

It makes more physical sense to me for the angle to be measured along the flow path. Nevertheless it is equally easy to code straight line angles as angles along the flow path, so an option that allows switching will be provided. The most practical way to evaluate avalanche runout is to keep track of the source point with the greatest angle to each point. Then the recursive upslope flow algebra approach will look at a grid cell and all its upslope neighbors that flow to it. Information from the upslope neighbors will be used to calculate the angle to the grid cell in question and retain it in the runout zone if the angle exceeds the alpha angle. This procedure makes the assumption that the maximum angle at a grid cell will be from the set of cells that have maximum angles to the inflowing neighbors. This will always be true of angle is calculated along a flow path, but I can conceive of cases where flow paths bend back on themselves where this would not be the case for straight line angles.

The D-infinity multiple flow direction field assigns flow from each grid cell to multiple downslope neighbors using proportions (Pik) that vary between 0 and 1 and sum to 1 for all flows out of a grid cell. It may be desirable to specify a threshold T that this proportion has to exceed before a grid cell is counted as flowing to a downslope grid cell, e.g. Pik > T (=0.2 say) to avoid dispersion to grid cells that get very little flow. T will be specified as a user input. If all upslope grid cells are to be used T may be input as 0.

Avalanche source sites are to be input as a short integer grid (name suffix *ass, e.g. demass) comprised of positive values where avalanches may be triggered and 0 values elsewhere.

The following grids are output:

  • rz -- A runout zone indicator with value 0 to indicate that this grid cell is not in the runout zone and value > 0 to indicate that this grid cell is in the runout zone. Since there may be information in the angle to the associated source site, this variable will be assigned the angle to the source site (in degrees).
  • dm -- Along flow distance from the source site that has the highest angle to the point in question

Syntax

DInfAvalancheRunout (Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Avalanche_Source_Site_Grid__must_be__tif_, Input_Proportion_Threshold, Input_Alpha_Angle_Threshold, Path_Distance_Method, Input_Number_of_Processes, Output_Runout_Zone_Grid__must_be__tif_, Output_Path_Distance_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Pit_Filled_Elevation_Grid__must_be__tif_ | Dialog Reference A grid of elevation values. This is usually the output of the "Fill Pits" tool, in which case it is elevations with pits removed. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts that interfere with the processing of flow across DEMs, so are removed by raising their elevation to the point where they just drain. This step is not essential if you have reason to believe that the pits in your DEM are real. | Raster Layer (Must be TIFF File)
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow directions by the D-Infinity method. This is usually the output of the D-Infinity Flow Directions tool. Flow direction is measured in radians, counter clockwise from east. The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319 | Raster Layer (Must be TIFF File)
Input_Avalanche_Source_Site_Grid__must_be__tif_ | Dialog Reference This is a grid of source areas for snow avalanches that are commonly identified manually using a mix of experience and visual interpretation of maps. Avalanche source sites are to be input as a short integer grid (name suffix *ass, e.g. demass) comprised of positive values where avalanches may be triggered and 0 values elsewhere. | Raster Layer (Must be TIFF File)
Input_Proportion_Threshold | Dialog Reference This value is a threshold proportion that is used to limit the disperson of flow caused by using the D-infinity multiple flow direction method for determining flow direction. The D-infinity multiple flow direction method often causes very small amounts of flow to be dispersed to some downslope cells that might overstate the affected area, so a threshold proportion can be set to avoid this excess dispersion. | Double
Input_Alpha_Angle_Threshold | Dialog Reference This value is the threshold angle, called the Alpha Angle, that is used to determine which of the cells downslope from the source cells are in the affected area. Only the cells downslope from each source area cell, up to the point where the slope from the source to the affected area is less than a threshold angle are in the affected area. | Double
Path_Distance_Method | Dialog Reference This option selects the method used to measure the distance used to calculate the slope angle. The Flow Path option measures it along the flow path, where the Straight Line option causes the slope to be measure along the straight line distance from the source cell to the evaluation cell. | String
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Runout_Zone_Grid__must_be__tif_ | Dialog Reference This grid Identifies the avalanche's runout zone (affected area) using a runout zone indicator with value 0 to indicate that this grid cell is not in the runout zone and value > 0 to indicate that this grid cell is in the runout zone. Since there may be information in the angle to the associated source site, this variable will be assigned the angle to the source site (in degrees). | Raster Dataset
Output_Path_Distance_Grid__must_be__tif_ | Dialog Reference This is a grid of the flow distance from the source site that has the highest angle to each cell. | Raster Dataset


D-Infinity Concentration Limited Acccumulation

Title D-Infinity Concentration Limited Acccumulation

Summary

This function applies to the situation where an unlimited supply of a substance is loaded into flow at a concentration or solubility threshold Csol over a region indicated by an indicator grid (dg). It a grid of the concentration of a substance at each location in the domain, where the supply of substance from a supply area is loaded into the flow at a concentration or solubility threshold. The flow is first calculated as a D-infinity weighted contributing area of an input Effective Runoff Weight Grid (notionally excess precipitation). The concentation of substance over the supply area (indicator grid) is at the concentration threshold. As the substance moves downslope with the D-infinity flow field, it is subject to first order decay in moving from cell to cell as well as dilution due to changes in flow. The decay multiplier grid gives the fractional (first order) reduction in quantity in moving from grid cell x to the next downslope cell. If the outlets shapefile is used, the tool only evaluates the part of the domain that contributes flow to the locations given by the shapefile. This is useful for a tracking a contaminant or compound from an area with unlimited supply of that compound that is loaded into a flow at a concentration or solubility threshold over a zone and flow from the zone may be subject to decay or attenuation.

The indicator grid (dg) is used to delineate the area of the substance supply using the (0,1) indicator function i(x). A[] denotes the weighted accumulation operator evaluated using the Dinf Contributing Area function. The Effective Runoff Weight Grid gives the supply to the flow (e.g. the excess rainfall if this is overland flow) denoted as w(x). The specific discharge is then given by:

Q(x)=A[w(x)].

This weighted accumulation Q(x) is output as the Overland Flow Specific Discharge Grid.

Over the substance supply area concentration is at the threshold (the threshold is a saturation or solubility limit). If i(x) = 1, then

C(x) = Csol, and L(x) = Csol Q(x),

where L(x) denotes the load being carried by the flow. At remaining locations, the load is determined by load accumulation and the concentration by dilution:

Concentration Limited Accumulation Equation

Here d(x) = d(i ,j) is a decay multiplier giving the fractional (first order) reduction in mass in moving from grid cell x to the next downslope cell. If travel (or residence) times t(x) associated with flow between cells are available d(x) may be evaluated as exp(-k t(x)) where k is a first order decay parameter. The Concentration grid output is C(x). If the outlets shapefile is used, the tool only evaluates the part of the domain that contributes flow to the locations given by the shapefile.

Illustration

Concentration Limited Accumulation Example

Usage Tips

Useful for a tracking a contaminant released or partitioned to flow at a fixed threshold concentration.

Syntax

DInfConcLimitedAcccum (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Effective_Runoff_Weight_Grid__must_be__tif_, Input_Disturbance_Indicator_Grid__must_be__tif_, Input_Decay_Multiplier_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Concentration_Threshold, Check_for_Edge_Contamination, Input_Number_of_Processes, Output_Overland_Flow_Specific_Discharge_Grid__must_be__tif_, Output_Concentration_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow direction by the D-infinity method. Flow direction is measured in radians, counter clockwise from east. This can be created by the tool D-Infinity Flow Directions . The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319. | Raster Layer (Must be TIFF File)
Input_Effective_Runoff_Weight_Grid__must_be__tif_ | Dialog Reference A grid giving the input quantity (notionally effective runoff or excess precipitation) to be used in the D-infinity weighted contributing area evaluation of Overland Flow Specific Discharge. | Raster Layer (Must be TIFF File)
Input_Disturbance_Indicator_Grid__must_be__tif_ | Dialog Reference A grid that indicates the source zone of the area of substance supply and must be 1 inside the zone and 0 or "no data" over the rest of the domain. | Raster Layer (Must be TIFF File)
Input_Decay_Multiplier_Grid__must_be__tif_ | Dialog Reference A grid giving the factor by which flow leaving each grid cell is multiplied before accumulation on downslope grid cells. This may be used to simulate the movement of an attenuating or decaying substance. If travel (or residence) times t(x) associated with flow between cells are available d(x) may be evaluated as exp(-k t(x)) where k is a first order decay parameter. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference This optional input is a point shapefile defining outlets of interest. If this file is used, the tool will only evaluate the area upslope of these outlets. | Feature Layer (Must be SHP File)
Concentration_Threshold | Dialog Reference The concentration or solubility threshold. Over the substance supply area, concentration is at this threshold. | Double
Check_for_Edge_Contamination | Dialog Reference This checkbox determines whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being considered. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this possibility and reports no data for the result. It is common to see streaks of no data values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect, and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the available data. Edge contamination checking may be overridden in cases where you know it is not an issue, or want to ignore the problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Overland_Flow_Specific_Discharge_Grid__must_be__tif_ | Dialog Reference The grid giving the specific discharge of the flow carrying the constituent being loaded at the concentration threshold specified. This is the D-infinity weighted accululation of the Effective Runoff Input Weight Grid. | Raster Dataset
Output_Concentration_Grid__must_be__tif_ | Dialog Reference A grid giving the resulting concentration of the compound of interest in the flow. | Raster Dataset


D-Infinity Decaying Accumulation

Title D-Infinity Decaying Accumulation

Summary

The D-Infinity Decaying Accumulation tool creates a grid of the accumulated quantity at each location in the domain where the quantity accumulates with the D-infinity flow field, but is subject to first order decay in moving from cell to cell. By default, the quantity contribution of each grid cell is the cell length to give a per unit width accumulation, but can optionally be expressed with a weight grid. The decay multiplier grid gives the fractional (first order) reduction in quantity in accumulating from grid cell x to the next downslope cell.

A decayed accumulation operator DA[.] takes as input a mass loading field m(x) expressed at each grid location as m(i, j) that is assumed to move with the flow field but is subject to first order decay in moving from cell to cell. The output is the accumulated mass at each location DA(x). The accumulation of m at each grid cell can be numerically evaluated.

Here d(x) = d(i ,j) is a decay multiplier giving the fractional (first order) reduction in mass in moving from grid cell x to the next downslope cell. If travel (or residence) times t(x) associated with flow between cells are available d(x) may be evaluated as exp(-k t(x)) where k is a first order decay parameter. The weight grid is used to represent the mass loading m(x). If not specified this is taken as 1. If the outlets shapefile is used the function is only evaluated on that part of the domain that contributes flow to the locations given by the shapefile.

Useful for a tracking contaminant or compound subject to decay or attenuation.

Syntax

DInfDecayingAccumulation (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Decay_Multiplier_Grid__must_be__tif_, Input_Weight_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Check_for_Edge_Contamination, Input_Number_of_Processes, Output_Decayed_Specific_Catchment_Area_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow direction by the D-infinity method. Flow direction is measured in radians, counter clockwise from east. This grid can be created by the function D-Infinity Flow Directions . The D-infinity algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319. | Raster Layer (Must be TIFF File)
Input_Decay_Multiplier_Grid__must_be__tif_ | Dialog Reference A grid giving the factor by which flow leaving each grid cell is multiplied before accumulation on downslope grid cells. This may be used to simulate the movement of an attenuating substance. | Raster Layer (Must be TIFF File)
Input_Weight_Grid__must_be__tif_ (Optional) | Dialog Reference A grid giving weights (loadings) to be used in the accumulation. If this optional grid is not specified, weights are taken as the linear grid cell size to give a per unit width accumulation. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference This optional input is a point shapefile defining outlets of interest. If this file is used, the tool will only evaluate ther area upslope of these outlets. | Feature Layer (Must be SHP File)
Check_for_Edge_Contamination | Dialog Reference This checkbox determines whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being considered when determining contributing area. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this possibility and reports no data for the result. It is common to see streaks of no data values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect, and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the available data. Edge contamination checking may be overridden in cases where you know it is not an issue, or want to ignore the problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Decayed_Specific_Catchment_Area_Grid__must_be__tif_ | Dialog Reference The D-Infinity Decaying Accumulation tool creates a grid of the accumulated mass at each location in the domain where mass moves with the D-infinity flow field, but is subject to first order decay in moving from cell to cell. | Raster Dataset


D-Infinity Distance Down

Title D-Infinity Distance Down

Summary

Calculates the distance downslope to a stream using the D-infinity flow model. The D-infinity flow model is a multiple flow direction model, because the outflow from each grid cell is proportioned between up to 2 downslope grid cells. As such, the distance from any grid cell to a stream is not uniquely defined. Flow that originates at a particular grid cell may enter the stream at a number of different cells. The statistical method may be selected as the longest, shortest or weighted average of the flow path distance to the stream. Also one of several ways of measuring distance may be selected: the total straight line path (Pythagoras), the horizontal component of the straight line path, the vertical component of the straight line path, or the total surface flow path.

Syntax

DInfDistanceDown (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_Stream_Raster_Grid__must_be__tif_, Statistical_Method, Distance_Method, Check_for_edge_contamination, Input_Weight_Path_Grid__must_be__tif_, Input_Number_of_Processes, Output_D-Infinity_Drop_to_Stream_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow directions by the D-Infinity method. This is usually the output of the D-Infinity Flow Directions tool. Flow direction is measured in radians, counter clockwise from east. The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319 | Raster Layer (Must be TIFF File)
Input_Pit_Filled_Elevation_Grid__must_be__tif_ | Dialog Reference This input is a grid of elevation values. As a general rule, it is recommended that you use a grid of elevation values that have had the pits removed for this input. Pits are generally taken to be artifacts that interfere with the analysis of flow across them. This grid can be obtained as the output of the "Pit Remove" tool, in which case it contains elevation values where the pits have been filled to the point where they just drain. | Raster Layer (Must be TIFF File)
Input_Stream_Raster_Grid__must_be__tif_ | Dialog Reference A grid indicating streams, by using a grid cell value of 1 on streams and 0 off streams. This is usually the output of one of the tools in the "Stream Network Raster" toolset. | Raster Layer (Must be TIFF File)
Statistical_Method | Dialog Reference Statistical method used to calculate the distance down to the stream. In the D-infinity flow model, the outflow from each grid cell is proportioned between two downslope grid cells. Therefore, the distance from any grid cell to a stream is not uniquely defined. Flow that originates at a particular grid cell may enter the stream at a number of cells. The distance to the stream may be defined as the longest, shortest or weighted average of the distance down to the stream. | String
Distance_Method | Dialog Reference Distance method used to calculate the distance down to the stream. One of several ways of measuring distance may be selected: the total straight line path (Pythagoras), the horizontal component of the straight line path, the vertical component of the straight line path, or the total surface flow path. | String
Check_for_edge_contamination | Dialog Reference A flag that determines whether the tool should check for edge contamination. This is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being counted. In the context of Distance Down this occurs when part of a flow path traced downslope from a grid cell leaves the domain without reaching a stream grid cell. With edge contamination checking selected, the algorithm recognizes this and reports no data for the result. This is the desired effect and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be overridden in cases where you know this is not an issue or want to evaluate the distance using only the fraction of flow paths that terminate at a stream. | Boolean
Input_Weight_Path_Grid__must_be__tif_ (Optional) | Dialog Reference A grid giving weights (loadings) to be used in the distance calculation. This might be used for example where only flow distance through a buffer is to be calculated. The weight is then 1 in the buffer and 0 outside it. Alternatively the weight may reflect some sort of cost function for travel over the surface, perhaps representing travel time or attenuation of a process. If this input file is not used, the loadings will assumed to be one for each grid cell. | Raster Layer
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_D-Infinity_Drop_to_Stream_Grid__must_be__tif_ | Dialog Reference Creates a grid containing the distance to stream calculated using the D-infinity flow model and the statistical and path methods chosen. | Raster Dataset


D-Infinity Distance Up

Title D-Infinity Distance Up

Summary

This tool calculates the distance from each grid cell up to the ridge cells along the reverse D-infinity flow directions. Ridge cells are defined to be grid cells that have no contribution from grid cells further upslope. Given the convergence of multiple flow paths at any grid cell, any given grid cell can have multiple upslope ridge cells. There are three statictical methods that this tool can use: maximum distance, minimum distance and waited flow average over these flow paths. A variant on the above is to consider only grid cells that contribute flow with a proportion greater than a user specified threshold (t) to be considered as upslope of any given grid cell. Setting t=0.5 would result in only one flow path from any grid cell and would give the result equivalent to a D8 flow model, rather than D-infinity flow model, where flow is proportioned between two downslope grid cells. Finally there are several different optional paths that can be measured: the total straight line path (Pythagoras), the horizontal component of the straight line path, the vertical component of the straight line path, or the total surface flow path.

Syntax

DInfDistanceUp (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Pit_Filled_Elevation_Grid__must_be__tif_, Input_Slope_Grid__must_be__tif_, Input_Proportion_Threshold, Statistical_Method, Distance_Method, Check_for_Edge_Contamination, Input_Number_of_Processes, Output_D-Infinity_Distance_Up__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow directions by the D-Infinity method. This is usually the output of the D-Infinity Flow Directions tool. Flow direction is measured in radians, counter clockwise from east. The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319 | Raster Layer (Must be TIFF File)
Input_Pit_Filled_Elevation_Grid__must_be__tif_ | Dialog Reference This input is a grid of elevation values. As a general rule, it is recommended that you use a grid of elevation values that have had the pits removed for this input. Pits are generally taken to be artifacts that interfere with the analysis of flow across them. This grid can be obtained as the output of the "Pit Remove" tool, in which case it contains elevation values where the pits have been filled to the point where they just drain. | Raster Layer (Must be TIFF File)
Input_Slope_Grid__must_be__tif_ | Dialog Reference This input is a grid of slope values. This is measured as drop/distance and it is most often obtained as the output of the "D-Infinity Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Proportion_Threshold | Dialog Reference The proportion threshold parameter where only grid cells that contribute flow with a proportion greater than this user specified threshold (t) is considered to be upslope of any given grid cell. Setting t=0.5 would result in only one flow path from any grid cell and would give the result equivalent to a D8 flow model, rather than D-infinity flow model, where flow is proportioned between two downslope grid cells. | Double
Statistical_Method | Dialog Reference Statistical method used to calculate the distance down to the stream. In the D-infinity flow model, the outflow from each grid cell is proportioned between two downslope grid cells. Therefore, the distance from any grid cell to a stream is not uniquely defined. Flow that originates at a particular grid cell may enter the stream at a number of cells. The distance to the stream may be defined as the longest, shortest or weighted average of the distance down to the stream. | String
Distance_Method | Dialog Reference Distance method used to calculate the distance down to the stream. One of several aspects of measuring distance may be selected: the total straight line path (Pythagoras), the horizontal component of the straight line path, the vertical component of the straight line path, or the total surface flow path. | String
Check_for_Edge_Contamination | Dialog Reference A flag that determines whether the tool should check for edge contamination. This is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being counted. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this and reports no data for the value. It is common to see streaks of no data values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the domain of data available. Edge contamination checking may be overridden in cases where you know this is not an issue or want to ignore these problems, if for example the DEM has been clipped along a watershed outline. | Boolean
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_D-Infinity_Distance_Up__must_be__tif_ | Dialog Reference Creates a grid containing the distances up to the ridge calculated using the D-infinity flow model and the statistical and path methods chosen. | Raster Dataset


D-Infinity Reverse Accumulation

Title D-Infinity Reverse Accumulation

Summary

This works in a similar way to evaluation of weighted Contributing area, except that the accumulation is by propagating the weight loadings upslope along the reverse of the flow directions to accumulate the quantity of weight loading downslope from each grid cell. The function also reports the maximum value of the weight loading downslope from each grid cell in the Maximum Downslope grid.

This function is designed to evaluate and map the hazard due to activities that may have an effect downslope. The example is land management activities that increase runoff. Runoff is sometimes a trigger for landslides or debris flows, so the weight grid here could be taken as a terrain stability map. Then the reverse accumulation provides a measure of the amount of unstable terrain downslope from each grid cell, as an indicator of the danger of activities that may increase runoff, even though there may be no potential for any local impact.

Syntax

DInfReverseAccumulation (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Weight_Grid__must_be__tif_, Input_Number_of_Processes, Output_Reverse_Accumulation_Grid__must_be__tif_, Output_Maximum_Downslope_Grid__must_be__tif_)

Parameter Explanation Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ Dialog Reference

A grid giving flow direction by the Dinfinity method. Flow direction is measured in radians, counter clockwise from east. This is created by the function "Dinf flow directions". The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319.

 Raster Layer (Must be TIFF File)
Input_Weight_Grid__must_be__tif_ Dialog Reference

A grid giving weights (loadings) to be used in the accumulation.

 Raster Layer (Must be TIFF File)
Input_Number_of_Processes Dialog Reference

This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain.

 Long
Output_Reverse_Accumulation_Grid__must_be__tif_ Dialog Reference

The grid giving the result of the "Reverse Accumulation" function. This works in a similar way to evaluation of weighted Contributing area, except that the accumulation is by propagating the weight loadings upslope along the reverse of the flow directions to accumulate the quantity of loading downslope from each grid cell.

 Raster Dataset
Output_Maximum_Downslope_Grid__must_be__tif_ Dialog Reference

The grid giving the maximum of the weight loading grid downslope from each grid cell.

 Raster Dataset


D-Infinity Transport Limited Accumulation

Title D-Infinity Transport Limited Accumulation

Summary

This function is designed to calculate the transport and deposition of a substance (e.g. sediment) that may be limited by both supply and the capacity of the flow field to transport it. This function accumulates substance flux (e.g. sediment transport) subject to the rule that transport out of any grid cell is the minimum between supply and transport capacity, Tcap. The total supply at a grid cell is calculated as the sum of the transport in from upslope grid cells, Tin, plus the local supply contribution, E (e.g. erosion). This function also outputs deposition, D, calculated as total supply minus actual transport.

Transportation Limited Accumulation Equation

Here (E) is the supply. (Tout) at each grid cell becomes (Tin) for downslope grid cells and is reported as Transport limited accumulation (tla). D is deposition (tdep). The function provides the option to evaluate concentration of a compound (contaminant) adhered to the transported substance. This is evaluated as follows:

Transportation Limited Accumulation Equation #1

Where (Lin) is the total incoming compound loading and (Cin) and (Tin) refer to the Concentration and Transport entering from each upslope grid cell.

Transportation Limited Accumulation Equation #2

If

Transportation Limited Accumulation Equation #3

else

Transportation Limited Accumulation Equation #4

where (Cs) is the concentration supplied locally and the difference in the second term on the right represents the additional supply from the local grid cell. Then,

Transportation Limited Accumulation Equation #5

(Cout) at each grid cell comprises is the concentration grid output from this function. If the outlets shapefile is used the tool only evaluates that part of the domain that contributes flow to the locations given by the shapefile. Transport limited accumulation is useful for modeling erosion and sediment delivery, including the spatial dependence of sediment delivery ratio and contaminant that adheres to sediment.

Syntax

DInfTransportLimited (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Supply_Grid__must_be__tif_, Input_Transport_Capacity_Grid__must_be__tif_, Input_Concentration_Grid__must_be__tif_, Input_Outlets_Shapefile__must_be__shp_, Check_for_Edge_Contamination, Input_Number_of_Processes, Output_Transport_Limited_Accumulation_Grid__must_be__tif_, Output_Deposition_Grid__must_be__tif_, Output_Concentration_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow direction by the D-infinity method. Flow direction is measured in radians, counter clockwise from east. This can be created by the tool D-Infinity Flow Directions . The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319. | Raster Layer (Must be TIFF File)
Input_Supply_Grid__must_be__tif_ | Dialog Reference A grid giving the supply (loading) of material to a transport limited accumulation function. In the application to erosion, this grid would give the erosion detachment, or sediment supplied at each grid cell. | Raster Layer (Must be TIFF File)
Input_Transport_Capacity_Grid__must_be__tif_ | Dialog Reference A grid giving the transport capacity at each grid cell for the transport limited accumulation function. In the application to erosion this grid would give the transport capacity of the carrying flow. | Raster Layer (Must be TIFF File)
Input_Concentration_Grid__must_be__tif_ (Optional) | Dialog Reference A grid giving the concentration of a compound of interest in the supply to the transport limited accumulation function. In the application to erosion, this grid would give the concentration of say phosphorous adhered to the eroded sediment. | Raster Layer (Must be TIFF File)
Input_Outlets_Shapefile__must_be__shp_ (Optional) | Dialog Reference This optional input is a point shapefile defining outlets of interest. If this file is used, the tool will only evaluate the area upslope of these outlets. | Feature Layer (Must be SHP File)
Check_for_Edge_Contamination | Dialog Reference This checkbox determines whether the tool should check for edge contamination. Edge contamination is defined as the possibility that a value may be underestimated due to grid cells outside of the domain not being considered when determining the result. This occurs when drainage is inwards from the boundaries or areas with no data values for elevation. The algorithm recognizes this possibility and reports no data for the result. It is common to see streaks of no data values extending inwards from boundaries along flow paths that enter the domain at a boundary. This is the desired effect, and indicates that values for these grid cells is unknown due to it being dependent on terrain outside of the available data. Edge contamination checking may be overridden in cases where you know it is not an issue, or want to ignore the problems, if for example, the DEM has been clipped along a watershed outline. | Boolean
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Transport_Limited_Accumulation_Grid__must_be__tif_ | Dialog Reference This grid is the weighted accumulation of supply accumulated respecting the limitations in transport capacity and reports the transport rate calculated by accumulating the substance flux subject to the rule that the transport out of any grid cell is the minimum of the total supply (local supply plus transport in) to that grid cell and the transport capacity. | Raster Dataset
Output_Deposition_Grid__must_be__tif_ | Dialog Reference A grid giving the deposition resulting from the transport limited accumulation. This is the residual from the transport in to each grid cell minus the transport capacity out of the grid cell. The deposition grid is calculated as the transport in + the local supply - the tranport out. | Raster Dataset
Output_Concentration_Grid__must_be__tif_ (Optional) | Dialog Reference If an input concentation in supply grid is given, then this grid is also output and gives the concentration of a compound (contaminant) adhered or bound to the transported substance (e.g. sediment) is calculated. | Raster Dataset


D-Infinity Upslope Dependence

Title D-Infinity Upslope Dependence

Summary

The D-Infinity Upslope Dependence tool quantifies the amount each grid cell in the domain contributes to a destination set of grid cells. D-Infinity flow directions proportion flow from each grid cell between multiple downslope grid cells. Following this flow field downslope the amount of flow originating at each grid cell that reaches the destination zone is defined. Upslope influence is evaluated using a downslope recursion, examining grid cells downslope from each grid cell, so that the map produced identifies the area upslope where flow through the destination zone originates, or the area it depends on, for its flow.

The figures below illustrate the amount each source point in the domain x (blue) contributes to the destination point or zone y (red). If the indicator weighted contributing area function is denoted I(y;x) giving the weighted contribution using a unit value (1) from specific grid cells y to grid cells x, then the upslope dependence is: D(x;y) = I(y;x).

This is useful for example to track where flow or a flow related substance or contaminant that enters a destination area may come from.

Syntax

DInfUpslopeDependence (Input_D-Infinity_Flow_Direction_Grid__must_be__tif_, Input_Destination_Grid__must_be__tif_, Input_Number_of_Processes, Output_Upslope_Dependence_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D-Infinity_Flow_Direction_Grid__must_be__tif_ | Dialog Reference A grid giving flow direction by the D-Infinity method where the flow direction angle is determined as the direction of the steepest downward slope on the eight triangular facets formed in a 3 x 3 grid cell window centered on the grid cell of interest. Flow direction is measured in radians, counter-clockwise from east as a continuous (floating point) quantity between 0 and 2 pi. The algorithm is described in Tarboton, D. G., (1997), "A New Method for the Determination of Flow Directions and Contributing Areas in Grid Digital Elevation Models," Water Resources Research, 33(2): 309-319. This grid can be produced using the D-Infinity Flow Direction tool. | Raster Layer (Must be TIFF File)
Input_Destination_Grid__must_be__tif_ | Dialog Reference A grid that encodes the destination zone that may receive flow from upslope. This grid must be 1 inside the zone y and 0 over the rest of the domain. | Raster Layer (Must be TIFF File)
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Upslope_Dependence_Grid__must_be__tif_ | Dialog Reference A grid quantifing the amount each source point in the domain contributes to the zone defined by the destination grid. | Raster Dataset


D8 Distance To Streams

Title D8 Distance To Streams

Summary

Computes the horizontal distance to stream for each grid cell, moving downslope according to the D8 flow model, until a stream grid cell is encountered.

Syntax

D8DistanceToStreams (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_Stream_Raster_Grid__must_be__tif_, Threshold, Input_Number_of_Processes, Output_Distance_to_Streams__must_be__tif_)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference This input is a grid of flow directions that are encoded using the D8 method where all flow from a cells goes to a single neighboring cell in the direction of steepest descent. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Stream_Raster_Grid__must_be__tif_ | Dialog Reference A grid indicating streams. Such a grid can be created by several of the tools in the "Stream Network Analysis" toolset. However, the tools in the "Stream Network Raster" toolset only create grids with a value of 0 for no stream, or 1 for stream cells. This tool can also accept grids with values greater than 1, which can be used in conjunction with the Threshold parameter to determine the location of streams. This allows Contributing Area grids to be used to define streams as well as the normal Stream Raster grids. This grid expects integer (long integer) values and any non-integer values will be truncated to an integer before being evaluated. | Raster Layer (Must be TIFF File)
Threshold | Dialog Reference This value acts as threshold on the Stream Raster Grid to determine the location of streams. Cells with a Stream Raster Grid value greater than or equal to the Threshold value are interpreted as streams. If not specified the Threshold to define streams defaults to 1. | Double
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Distance_to_Streams__must_be__tif_ | Dialog Reference A grid giving the horizontal distance along the flow path as defined by the D8 Flow Directions Grid to the streams in the Stream Raster Grid. | Raster Dataset


Slope Average Down

Title Slope Average Down

Summary

This tool computes slope in a D8 downslope direction averaged over a user selected distance. Distance should be specified in horizontal map units.

Syntax

SlopeAverageDown (Input_D8_Flow_Direction_Grid__must_be__tif_, Input_Pit_Filled_Elevation_Grid__must_be__tif_, Distance, Input_Number_of_Processes, Output_Slope_Average_Down_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_D8_Flow_Direction_Grid__must_be__tif_ | Dialog Reference This input is a grid of flow directions that are encoded using the D8 method where all flow from a cells goes to a single neighboring cell in the direction of steepest descent. D8 Flow Direction Encoding Flow Direction Coding: 1 -East, 2 - Northeast, 3 - North, 4 - Northwest, 5 - West, 6 - Southwest, 7 - South, 8 - Southeast. This grid can be obtained as the output of the "D8 Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Pit_Filled_Elevation_Grid__must_be__tif_ | Dialog Reference A grid of elevation values. This is usually the output of the "Pit Remove" tool, in which case it is elevations with pits removed. Pits are low elevation areas in digital elevation models (DEMs) that are completely surrounded by higher terrain. They are generally taken to be artifacts that interfere with the processing of flow across DEMs, so are removed by raising their elevation to the point where they just drain. This step is not essential if you have reason to believe that the pits in your DEM are real. | Raster Layer (Must be TIFF File)
Distance | Dialog Reference Input parameter of downslope distance over which to calculate the slope (in horizontal map units). | Double
Input_Number_of_Processes | Dialog Reference This input indicates the number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each piece of the domain. | Long
Output_Slope_Average_Down_Grid__must_be__tif_ | Dialog Reference This output is a grid of slopes calculated in the D8 downslope direction, averaged over the selected distance. | Raster Dataset


Slope Over Area Ratio

Title Slope Over Area Ratio

Summary

Calculates the ratio of the slope to the specific catchment area (contributing area). This is algebraically related to the more common ln(a/tan beta) wetness index, but contributing area is in the denominator to avoid divide by 0 errors when slope is 0.

Syntax

SlopeOverAreaRatio (Input_Slope_Grid__must_be__tif_, Input_Specific_Catchment_Area_Grid__must_be__tif_, Input_Number_of_Processes, Output_Slope_Divided_By_Area_Ratio_Grid__must_be__tif_)

Parameter | Explanation | Data Type
Input_Slope_Grid__must_be__tif_ | Dialog Reference A grid of slope. This grid can be generated using ether the "D8 Flow Directions" tool or the "D-Infinity Flow Directions" tool. | Raster Layer (Must be TIFF File)
Input_Specific_Catchment_Area_Grid__must_be__tif_ | Dialog Reference A grid giving the contributing area value for each cell taken as its own contribution plus the contribution from upslope neighbors that drain in to it. Contributing area is counted in terms of the number of grid cells (or summation of weights). This grid can be generated using either the "D8 Contributing Area" tool or the "D-Infinity Contributing Area" tool. | Raster Layer (Must be TIFF File)
Input_Number_of_Processes | Dialog Reference The number of stripes that the domain will be divided into and the number of MPI parallel processes that will be spawned to evaluate each of the stripes. | Long
Output_Slope_Divided_By_Area_Ratio_Grid__must_be__tif_ | Dialog Reference A grid of the ratio of slope to specific catchment area (contributing area). This is algebraically related to the more common ln(a/tan beta) wetness index, but contributing area is in the denominator to avoid divide by 0 errors when slope is 0. | Raster Dataset